-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Hôte : 127.0.0.1
-- Généré le : jeu. 25 avr. 2024 à 00:49
-- Version du serveur : 10.4.28-MariaDB
-- Version de PHP : 8.0.28

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de données : `m2l`
--

-- --------------------------------------------------------

--
-- Structure de la table `bulletin`
--

CREATE TABLE `bulletin` (
  `IDBULLETIN` int(4) NOT NULL,
  `IDCONTRAT` int(4) NOT NULL,
  `MOIS` varchar(32) DEFAULT NULL,
  `ANNEE` varchar(32) DEFAULT NULL,
  `BULLETINPDF` varchar(32) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Déchargement des données de la table `bulletin`
--

INSERT INTO `bulletin` (`IDBULLETIN`, `IDCONTRAT`, `MOIS`, `ANNEE`, `BULLETINPDF`) VALUES
(3, 2, 'mars ', '2019', 'fsfdsxvcv'),
(4, 2, 'avril ', '2000', 'dsqdsqdqsd'),
(33, 3, 'fezf', 'zef', 'zefze'),
(34, 3, 'fezf', 'ezfze', 'fezf');

-- --------------------------------------------------------

--
-- Structure de la table `club`
--

CREATE TABLE `club` (
  `IDCLUB` int(11) NOT NULL,
  `IDLIGUE` int(11) NOT NULL,
  `IDCOMMUNE` int(11) NOT NULL,
  `NOMCLUB` varchar(32) DEFAULT NULL,
  `ADRESSECLUB` varchar(32) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Déchargement des données de la table `club`
--

INSERT INTO `club` (`IDCLUB`, `IDLIGUE`, `IDCOMMUNE`, `NOMCLUB`, `ADRESSECLUB`) VALUES
(1, 1, 1, 'Sam Football', 'Stade du jard'),
(2, 1, 5, 'Les Girondins', 'Rue Joliot Curie');

-- --------------------------------------------------------

--
-- Structure de la table `commune`
--

CREATE TABLE `commune` (
  `IDCOMMUNE` int(11) NOT NULL,
  `CODEDEPARTEMENT` varchar(32) NOT NULL,
  `CODEPOSTAL` varchar(32) DEFAULT NULL,
  `NOMCOMMUNE` varchar(32) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Déchargement des données de la table `commune`
--

INSERT INTO `commune` (`IDCOMMUNE`, `CODEDEPARTEMENT`, `CODEPOSTAL`, `NOMCOMMUNE`) VALUES
(1, '54', '54000', 'Nancy'),
(2, '54', '54110', 'Anthelupt'),
(3, '54', '54110', 'Buissoncourt'),
(4, '54', '54110', 'Courbesseaux'),
(5, '54', '54110', 'Crévic'),
(6, '54', '54110', 'Dombasle-sur-Meurthe'),
(7, '54', '54110', 'Flainval'),
(8, '54', '54110', 'Gellenoncourt'),
(9, '54', '54110', 'Haraucourt'),
(10, '54', '54110', 'Hudiviller'),
(11, '54', '54110', 'Lenoncourt'),
(12, '54', '54110', 'Réméréville'),
(13, '54', '54110', 'Rosières-aux-Salines'),
(14, '54', '54110', 'Sommerviller'),
(15, '54', '54110', 'Varangéville'),
(16, '54', '54111', 'Mont-Bonvillers'),
(17, '54', '54112', 'Allamps'),
(18, '54', '54112', 'Gibeaumeix'),
(19, '54', '54112', 'Uruffe'),
(20, '54', '54112', 'Vannes-le-Châtel'),
(21, '54', '54113', 'Blénod-lès-Toul'),
(22, '54', '54113', 'Bulligny'),
(23, '54', '54113', 'Charmes-la-Côte'),
(24, '54', '54113', 'Crézilles'),
(25, '54', '54113', 'Gye'),
(26, '54', '54113', 'Mont-le-Vignoble'),
(27, '54', '54113', 'Moutrot'),
(28, '54', '54114', 'Jeandelaincourt'),
(29, '54', '54115', 'Aboncourt'),
(30, '54', '54115', 'Battigny'),
(31, '54', '54115', 'Beuvezin'),
(32, '54', '54115', 'Dommarie-Eulmont'),
(33, '54', '54115', 'Favières'),
(34, '54', '54115', 'Fécocourt'),
(35, '54', '54115', 'Gélaucourt'),
(36, '54', '54115', 'Gémonville'),
(37, '54', '54115', 'Grimonviller'),
(38, '54', '54115', 'Lalœuf'),
(39, '54', '54115', 'Pulney'),
(40, '54', '54115', 'Saulxerotte'),
(41, '54', '54115', 'Thorey-Lyautey'),
(42, '54', '54115', 'Tramont-Émy'),
(43, '54', '54115', 'Tramont-Lassus'),
(44, '54', '54115', 'Tramont-Saint-André'),
(45, '54', '54115', 'Vandeléville'),
(46, '54', '54116', 'Praye'),
(47, '54', '54116', 'Tantonville'),
(48, '54', '54118', 'Moyen'),
(49, '54', '54119', 'Domgermain'),
(50, '54', '54120', 'Baccarat'),
(51, '54', '54120', 'Bertrichamps'),
(52, '54', '54120', 'Brouville'),
(53, '54', '54120', 'Deneuvre'),
(54, '54', '54120', 'Gélacourt'),
(55, '54', '54120', 'Hablainville'),
(56, '54', '54120', 'Lachapelle'),
(57, '54', '54120', 'Merviller'),
(58, '54', '54120', 'Pettonville'),
(59, '54', '54120', 'Reherrey'),
(60, '54', '54120', 'Thiaville-sur-Meurthe'),
(61, '54', '54120', 'Vaxainville'),
(62, '54', '54121', 'Vandières'),
(63, '54', '54122', 'Azerailles'),
(64, '54', '54122', 'Chenevières'),
(65, '54', '54122', 'Flin'),
(66, '54', '54122', 'Fontenoy-la-Joûte'),
(67, '54', '54122', 'Glonville'),
(68, '54', '54122', 'Vathiménil'),
(69, '54', '54123', 'Viterne'),
(70, '54', '54129', 'Magnières'),
(71, '54', '54130', 'Dommartemont'),
(72, '54', '54130', 'Saint-Max'),
(73, '54', '54134', 'Ceintrey'),
(74, '54', '54134', 'Voinémont'),
(75, '54', '54135', 'Mexy'),
(76, '54', '54136', 'Bouxières-aux-Dames'),
(77, '54', '54140', 'Jarville-la-Malgrange'),
(78, '54', '54150', 'Anoux'),
(79, '54', '54150', 'Avril'),
(80, '54', '54150', 'Briey'),
(81, '54', '54150', 'Fléville-Lixières'),
(82, '54', '54150', 'Lantéfontaine'),
(83, '54', '54150', 'Les Baroches'),
(84, '54', '54150', 'Lubey'),
(85, '54', '54150', 'Mairy-Mainville'),
(86, '54', '54150', 'Mance'),
(87, '54', '54150', 'Norroy-le-Sec'),
(88, '54', '54150', 'Ozerailles'),
(89, '54', '54160', 'Autrey'),
(90, '54', '54160', 'Frolois'),
(91, '54', '54160', 'Pierreville'),
(92, '54', '54160', 'Pulligny'),
(93, '54', '54170', 'Allain'),
(94, '54', '54170', 'Bagneux'),
(95, '54', '54170', 'Barisey-au-Plain'),
(96, '54', '54170', 'Barisey-la-Côte'),
(97, '54', '54170', 'Colombey-les-Belles'),
(98, '54', '54170', 'Crépey'),
(99, '54', '54170', 'Dolcourt'),
(100, '54', '54170', 'Germiny'),
(101, '54', '54170', 'Mont-l\'Étroit'),
(102, '54', '54170', 'Ochey'),
(103, '54', '54170', 'Saulxures-lès-Vannes'),
(104, '54', '54170', 'Selaincourt'),
(105, '54', '54170', 'Thuilley-aux-Groseilles'),
(106, '54', '54180', 'Heillecourt'),
(107, '54', '54180', 'Houdemont'),
(108, '54', '54190', 'Bréhain-la-Ville'),
(109, '54', '54190', 'Tiercelet'),
(110, '54', '54190', 'Villerupt'),
(111, '54', '54200', 'Andilly'),
(112, '54', '54200', 'Bicqueley'),
(113, '54', '54200', 'Boucq'),
(114, '54', '54200', 'Bouvron'),
(115, '54', '54200', 'Bruley'),
(116, '54', '54200', 'Chaudeney-sur-Moselle'),
(117, '54', '54200', 'Choloy-Ménillot'),
(118, '54', '54200', 'Dommartin-lès-Toul'),
(119, '54', '54200', 'Écrouves'),
(120, '54', '54200', 'Francheville'),
(121, '54', '54200', 'Jaillon'),
(122, '54', '54200', 'Lagney'),
(123, '54', '54200', 'Lucey'),
(124, '54', '54200', 'Ménil-la-Tour'),
(125, '54', '54200', 'Pagney-derrière-Barine'),
(126, '54', '54200', 'Pierre-la-Treiche'),
(127, '54', '54200', 'Royaumeix'),
(128, '54', '54200', 'Sanzey'),
(129, '54', '54200', 'Toul'),
(130, '54', '54200', 'Villey-Saint-Étienne'),
(131, '54', '54210', 'Azelot'),
(132, '54', '54210', 'Burthecourt-aux-Chênes'),
(133, '54', '54210', 'Coyviller'),
(134, '54', '54210', 'Ferrières'),
(135, '54', '54210', 'Lupcourt'),
(136, '54', '54210', 'Manoncourt-en-Vermois'),
(137, '54', '54210', 'Saffais'),
(138, '54', '54210', 'Saint-Nicolas-de-Port'),
(139, '54', '54210', 'Tonnoy'),
(140, '54', '54210', 'Ville-en-Vermois'),
(141, '54', '54220', 'Malzéville'),
(142, '54', '54230', 'Chaligny'),
(143, '54', '54230', 'Chavigny'),
(144, '54', '54230', 'Maron'),
(145, '54', '54230', 'Neuves-Maisons'),
(146, '54', '54240', 'Jœuf'),
(147, '54', '54250', 'Champigneulles'),
(148, '54', '54260', 'Allondrelle-la-Malmaison'),
(149, '54', '54260', 'Charency-Vezin'),
(150, '54', '54260', 'Colmey'),
(151, '54', '54260', 'Épiez-sur-Chiers'),
(152, '54', '54260', 'Fresnois-la-Montagne'),
(153, '54', '54260', 'Grand-Failly'),
(154, '54', '54260', 'Longuyon'),
(155, '54', '54260', 'Othe'),
(156, '54', '54260', 'Petit-Failly'),
(157, '54', '54260', 'Saint-Jean-lès-Longuyon'),
(158, '54', '54260', 'Tellancourt'),
(159, '54', '54260', 'Villers-le-Rond'),
(160, '54', '54260', 'Villette'),
(161, '54', '54260', 'Viviers-sur-Chiers'),
(162, '54', '54270', 'Essey-lès-Nancy'),
(163, '54', '54280', 'Brin-sur-Seille'),
(164, '54', '54280', 'Champenoux'),
(165, '54', '54280', 'Erbéviller-sur-Amezule'),
(166, '54', '54280', 'Laneuvelotte'),
(167, '54', '54280', 'Mazerulles'),
(168, '54', '54280', 'Moncel-sur-Seille'),
(169, '54', '54280', 'Seichamps'),
(170, '54', '54280', 'Sornéville'),
(171, '54', '54280', 'Velaine-sous-Amance'),
(172, '54', '54290', 'Bainville-aux-Miroirs'),
(173, '54', '54290', 'Bayon'),
(174, '54', '54290', 'Borville'),
(175, '54', '54290', 'Brémoncourt'),
(176, '54', '54290', 'Clayeures'),
(177, '54', '54290', 'Crévéchamps'),
(178, '54', '54290', 'Domptail-en-l\'Air'),
(179, '54', '54290', 'Froville'),
(180, '54', '54290', 'Gripport'),
(181, '54', '54290', 'Haigneville'),
(182, '54', '54290', 'Haussonville'),
(183, '54', '54290', 'Lorey'),
(184, '54', '54290', 'Loromontzey'),
(185, '54', '54290', 'Mangonville'),
(186, '54', '54290', 'Neuviller-sur-Moselle'),
(187, '54', '54290', 'Roville-devant-Bayon'),
(188, '54', '54290', 'Rozelieures'),
(189, '54', '54290', 'Saint-Boingt'),
(190, '54', '54290', 'Saint-Germain'),
(191, '54', '54290', 'Saint-Mard'),
(192, '54', '54290', 'Saint-Rémy-aux-Bois'),
(193, '54', '54290', 'Velle-sur-Moselle'),
(194, '54', '54290', 'Villacourt'),
(195, '54', '54290', 'Virecourt'),
(196, '54', '54300', 'Bienville-la-Petite'),
(197, '54', '54300', 'Bonviller'),
(198, '54', '54300', 'Chanteheux'),
(199, '54', '54300', 'Crion'),
(200, '54', '54300', 'Croismare'),
(201, '54', '54300', 'Fraimbois'),
(202, '54', '54300', 'Hériménil'),
(203, '54', '54300', 'Jolivet'),
(204, '54', '54300', 'Lamath'),
(205, '54', '54300', 'Lunéville'),
(206, '54', '54300', 'Manonviller'),
(207, '54', '54300', 'Marainviller'),
(208, '54', '54300', 'Moncel-lès-Lunéville'),
(209, '54', '54300', 'Rehainviller'),
(210, '54', '54300', 'Sionviller'),
(211, '54', '54300', 'Thiébauménil'),
(212, '54', '54300', 'Vitrimont'),
(213, '54', '54300', 'Xermaménil'),
(214, '54', '54310', 'Homécourt'),
(215, '54', '54320', 'Maxéville'),
(216, '54', '54330', 'Chaouilley'),
(217, '54', '54330', 'Clérey-sur-Brenon'),
(218, '54', '54330', 'Étreval'),
(219, '54', '54330', 'Forcelles-Saint-Gorgon'),
(220, '54', '54330', 'Goviller'),
(221, '54', '54330', 'Hammeville'),
(222, '54', '54330', 'Houdelmont'),
(223, '54', '54330', 'Houdreville'),
(224, '54', '54330', 'Marthemont'),
(225, '54', '54330', 'Ognéville'),
(226, '54', '54330', 'Omelmont'),
(227, '54', '54330', 'Parey-Saint-Césaire'),
(228, '54', '54330', 'Quevilloncourt'),
(229, '54', '54330', 'Saxon-Sion'),
(230, '54', '54330', 'Thélod'),
(231, '54', '54330', 'Vaudémont'),
(232, '54', '54330', 'Vézelise'),
(233, '54', '54330', 'Vitrey'),
(234, '54', '54330', 'Vroncourt'),
(235, '54', '54340', 'Pompey'),
(236, '54', '54350', 'Mont-Saint-Martin'),
(237, '54', '54360', 'Barbonville'),
(238, '54', '54360', 'Blainville-sur-l\'Eau'),
(239, '54', '54360', 'Charmois'),
(240, '54', '54360', 'Damelevières'),
(241, '54', '54360', 'Einvaux'),
(242, '54', '54360', 'Landécourt'),
(243, '54', '54360', 'Méhoncourt'),
(244, '54', '54360', 'Mont-sur-Meurthe'),
(245, '54', '54360', 'Romain'),
(246, '54', '54360', 'Vigneulles'),
(247, '54', '54370', 'Arracourt'),
(248, '54', '54370', 'Athienville'),
(249, '54', '54370', 'Bathelémont'),
(250, '54', '54370', 'Bauzemont'),
(251, '54', '54370', 'Bezange-la-Grande'),
(252, '54', '54370', 'Bures'),
(253, '54', '54370', 'Coincourt'),
(254, '54', '54370', 'Deuxville'),
(255, '54', '54370', 'Drouville'),
(256, '54', '54370', 'Einville-au-Jard'),
(257, '54', '54370', 'Emberménil'),
(258, '54', '54370', 'Hénaménil'),
(259, '54', '54370', 'Hoéville'),
(260, '54', '54370', 'Juvrecourt'),
(261, '54', '54370', 'Laneuveville-aux-Bois'),
(262, '54', '54370', 'Maixe'),
(263, '54', '54370', 'Mouacourt'),
(264, '54', '54370', 'Parroy'),
(265, '54', '54370', 'Raville-sur-Sânon'),
(266, '54', '54370', 'Réchicourt-la-Petite'),
(267, '54', '54370', 'Remoncourt'),
(268, '54', '54370', 'Serres'),
(269, '54', '54370', 'Valhey'),
(270, '54', '54370', 'Vaucourt'),
(271, '54', '54370', 'Xousse'),
(272, '54', '54370', 'Xures'),
(273, '54', '54380', 'Autreville-sur-Moselle'),
(274, '54', '54380', 'Bezaumont'),
(275, '54', '54380', 'Dieulouard'),
(276, '54', '54380', 'Gézoncourt'),
(277, '54', '54380', 'Griscourt'),
(278, '54', '54380', 'Landremont'),
(279, '54', '54380', 'Martincourt'),
(280, '54', '54380', 'Rogéville'),
(281, '54', '54380', 'Saizerais'),
(282, '54', '54380', 'Ville-au-Val'),
(283, '54', '54380', 'Villers-en-Haye'),
(284, '54', '54385', 'Avrainville'),
(285, '54', '54385', 'Domèvre-en-Haye'),
(286, '54', '54385', 'Manoncourt-en-Woëvre'),
(287, '54', '54385', 'Manonville'),
(288, '54', '54385', 'Minorville'),
(289, '54', '54385', 'Noviant-aux-Prés'),
(290, '54', '54385', 'Rosières-en-Haye'),
(291, '54', '54385', 'Tremblecourt'),
(292, '54', '54390', 'Frouard'),
(293, '54', '54400', 'Cosnes-et-Romain'),
(294, '54', '54400', 'Longwy'),
(295, '54', '54410', 'Laneuveville-devant-Nancy'),
(296, '54', '54420', 'Cerville'),
(297, '54', '54420', 'Saulxures-lès-Nancy'),
(298, '54', '54425', 'Pulnoy'),
(299, '54', '54430', 'Réhon'),
(300, '54', '54440', 'Herserange'),
(301, '54', '54450', 'Amenoncourt'),
(302, '54', '54450', 'Ancerviller'),
(303, '54', '54450', 'Autrepierre'),
(304, '54', '54450', 'Avricourt'),
(305, '54', '54450', 'Barbas'),
(306, '54', '54450', 'Bénaménil'),
(307, '54', '54450', 'Blâmont'),
(308, '54', '54450', 'Blémerey'),
(309, '54', '54450', 'Buriville'),
(310, '54', '54450', 'Chazelles-sur-Albe'),
(311, '54', '54450', 'Domèvre-sur-Vezouze'),
(312, '54', '54450', 'Domjevin'),
(313, '54', '54450', 'Fréménil'),
(314, '54', '54450', 'Frémonville'),
(315, '54', '54450', 'Gogney'),
(316, '54', '54450', 'Gondrexon'),
(317, '54', '54450', 'Halloville'),
(318, '54', '54450', 'Harbouey'),
(319, '54', '54450', 'Herbéviller'),
(320, '54', '54450', 'Igney'),
(321, '54', '54450', 'Leintrey'),
(322, '54', '54450', 'Montreux'),
(323, '54', '54450', 'Nonhigny'),
(324, '54', '54450', 'Ogéviller'),
(325, '54', '54450', 'Réclonville'),
(326, '54', '54450', 'Reillon'),
(327, '54', '54450', 'Repaix'),
(328, '54', '54450', 'Saint-Martin'),
(329, '54', '54450', 'Vého'),
(330, '54', '54450', 'Verdenal'),
(331, '54', '54460', 'Aingeray'),
(332, '54', '54460', 'Liverdun'),
(333, '54', '54470', 'Ansauville'),
(334, '54', '54470', 'Beaumont'),
(335, '54', '54470', 'Bernécourt'),
(336, '54', '54470', 'Bouillonville'),
(337, '54', '54470', 'Charey'),
(338, '54', '54470', 'Dampvitoux'),
(339, '54', '54470', 'Dommartin-la-Chaussée'),
(340, '54', '54470', 'Essey-et-Maizerais'),
(341, '54', '54470', 'Euvezin'),
(342, '54', '54470', 'Fey-en-Haye'),
(343, '54', '54470', 'Flirey'),
(344, '54', '54470', 'Grosrouvres'),
(345, '54', '54470', 'Hagéville'),
(346, '54', '54470', 'Hamonville'),
(347, '54', '54470', 'Jaulny'),
(348, '54', '54470', 'Limey-Remenauville'),
(349, '54', '54470', 'Lironville'),
(350, '54', '54470', 'Mamey'),
(351, '54', '54470', 'Mandres-aux-Quatre-Tours'),
(352, '54', '54470', 'Pannes'),
(353, '54', '54470', 'Rembercourt-sur-Mad'),
(354, '54', '54470', 'Saint-Baussant'),
(355, '54', '54470', 'Saint-Julien-lès-Gorze'),
(356, '54', '54470', 'Seicheprey'),
(357, '54', '54470', 'Thiaucourt-Regniéville'),
(358, '54', '54470', 'Viéville-en-Haye'),
(359, '54', '54470', 'Xammes'),
(360, '54', '54480', 'Bertrambois'),
(361, '54', '54480', 'Cirey-sur-Vezouze'),
(362, '54', '54480', 'Parux'),
(363, '54', '54480', 'Petitmont'),
(364, '54', '54480', 'Saint-Sauveur'),
(365, '54', '54480', 'Tanconville'),
(366, '54', '54480', 'Val-et-Châtillon'),
(367, '54', '54490', 'Avillers'),
(368, '54', '54490', 'Domprix'),
(369, '54', '54490', 'Joudreville'),
(370, '54', '54490', 'Murville'),
(371, '54', '54490', 'Piennes'),
(372, '54', '54490', 'Preutin-Higny'),
(373, '54', '54490', 'Xivry-Circourt'),
(374, '54', '54500', 'Vandœuvre-lès-Nancy'),
(375, '54', '54510', 'Art-sur-Meurthe'),
(376, '54', '54510', 'Tomblaine'),
(377, '54', '54520', 'Laxou'),
(378, '54', '54530', 'Arnaville'),
(379, '54', '54530', 'Pagny-sur-Moselle'),
(380, '54', '54530', 'Prény'),
(381, '54', '54540', 'Angomont'),
(382, '54', '54540', 'Badonviller'),
(383, '54', '54540', 'Bionville'),
(384, '54', '54540', 'Bréménil'),
(385, '54', '54540', 'Fenneviller'),
(386, '54', '54540', 'Mignéville'),
(387, '54', '54540', 'Montigny'),
(388, '54', '54540', 'Neufmaisons'),
(389, '54', '54540', 'Neuviller-lès-Badonviller'),
(390, '54', '54540', 'Pexonne'),
(391, '54', '54540', 'Pierre-Percée'),
(392, '54', '54540', 'Raon-lès-Leau'),
(393, '54', '54540', 'Saint-Maurice-aux-Forges'),
(394, '54', '54540', 'Sainte-Pôle'),
(395, '54', '54540', 'Vacqueville'),
(396, '54', '54540', 'Veney'),
(397, '54', '54550', 'Bainville-sur-Madon'),
(398, '54', '54550', 'Maizières'),
(399, '54', '54550', 'Pont-Saint-Vincent'),
(400, '54', '54550', 'Sexey-aux-Forges'),
(401, '54', '54560', 'Anderny'),
(402, '54', '54560', 'Audun-le-Roman'),
(403, '54', '54560', 'Beuvillers'),
(404, '54', '54560', 'Fillières'),
(405, '54', '54560', 'Malavillers'),
(406, '54', '54560', 'Mercy-le-Haut'),
(407, '54', '54560', 'Sancy'),
(408, '54', '54560', 'Serrouville'),
(409, '54', '54570', 'Foug'),
(410, '54', '54570', 'Laneuveville-derrière-Foug'),
(411, '54', '54570', 'Lay-Saint-Remy'),
(412, '54', '54570', 'Trondes'),
(413, '54', '54580', 'Auboué'),
(414, '54', '54580', 'Moineville'),
(415, '54', '54580', 'Saint-Ail'),
(416, '54', '54590', 'Hussigny-Godbrange'),
(417, '54', '54600', 'Villers-lès-Nancy'),
(418, '54', '54610', 'Abaucourt'),
(419, '54', '54610', 'Belleau'),
(420, '54', '54610', 'Bratte'),
(421, '54', '54610', 'Chenicourt'),
(422, '54', '54610', 'Clémery'),
(423, '54', '54610', 'Éply'),
(424, '54', '54610', 'Létricourt'),
(425, '54', '54610', 'Mailly-sur-Seille'),
(426, '54', '54610', 'Nomeny'),
(427, '54', '54610', 'Phlin'),
(428, '54', '54610', 'Raucourt'),
(429, '54', '54610', 'Rouves'),
(430, '54', '54610', 'Sivry'),
(431, '54', '54610', 'Thézey-Saint-Martin'),
(432, '54', '54620', 'Baslieux'),
(433, '54', '54620', 'Bazailles'),
(434, '54', '54620', 'Beuveille'),
(435, '54', '54620', 'Boismont'),
(436, '54', '54620', 'Doncourt-lès-Longuyon'),
(437, '54', '54620', 'Han-devant-Pierrepont'),
(438, '54', '54620', 'Joppécourt'),
(439, '54', '54620', 'Pierrepont'),
(440, '54', '54620', 'Saint-Supplet'),
(441, '54', '54620', 'Ville-au-Montois'),
(442, '54', '54630', 'Flavigny-sur-Moselle'),
(443, '54', '54630', 'Richardménil'),
(444, '54', '54640', 'Bettainvillers'),
(445, '54', '54640', 'Tucquegnieux'),
(446, '54', '54650', 'Saulnes'),
(447, '54', '54660', 'Moutiers'),
(448, '54', '54670', 'Custines'),
(449, '54', '54670', 'Malleloy'),
(450, '54', '54670', 'Millery'),
(451, '54', '54680', 'Crusnes'),
(452, '54', '54680', 'Errouville'),
(453, '54', '54690', 'Eulmont'),
(454, '54', '54690', 'Lay-Saint-Christophe'),
(455, '54', '54700', 'Atton'),
(456, '54', '54700', 'Blénod-lès-Pont-à-Mousson'),
(457, '54', '54700', 'Bouxières-sous-Froidmont'),
(458, '54', '54700', 'Champey-sur-Moselle'),
(459, '54', '54700', 'Jezainville'),
(460, '54', '54700', 'Lesménils'),
(461, '54', '54700', 'Loisy'),
(462, '54', '54700', 'Maidières'),
(463, '54', '54700', 'Montauville'),
(464, '54', '54700', 'Morville-sur-Seille'),
(465, '54', '54700', 'Mousson'),
(466, '54', '54700', 'Norroy-lès-Pont-à-Mousson'),
(467, '54', '54700', 'Pont-à-Mousson'),
(468, '54', '54700', 'Port-sur-Seille'),
(469, '54', '54700', 'Sainte-Geneviève'),
(470, '54', '54700', 'Vilcey-sur-Trey'),
(471, '54', '54700', 'Villers-sous-Prény'),
(472, '54', '54700', 'Vittonville'),
(473, '54', '54710', 'Fléville-devant-Nancy'),
(474, '54', '54710', 'Ludres'),
(475, '54', '54720', 'Chenières'),
(476, '54', '54720', 'Cutry'),
(477, '54', '54720', 'Laix'),
(478, '54', '54720', 'Lexy'),
(479, '54', '54730', 'Gorcy'),
(480, '54', '54730', 'Saint-Pancré'),
(481, '54', '54730', 'Ville-Houdlémont'),
(482, '54', '54740', 'Affracourt'),
(483, '54', '54740', 'Benney'),
(484, '54', '54740', 'Bralleville'),
(485, '54', '54740', 'Crantenoy'),
(486, '54', '54740', 'Gerbécourt-et-Haplemont'),
(487, '54', '54740', 'Germonville'),
(488, '54', '54740', 'Haroué'),
(489, '54', '54740', 'Jevoncourt'),
(490, '54', '54740', 'Laneuveville-devant-Bayon'),
(491, '54', '54740', 'Lebeuville'),
(492, '54', '54740', 'Lemainville'),
(493, '54', '54740', 'Leménil-Mitry'),
(494, '54', '54740', 'Ormes-et-Ville'),
(495, '54', '54740', 'Saint-Remimont'),
(496, '54', '54740', 'Vaudeville'),
(497, '54', '54740', 'Vaudigny'),
(498, '54', '54740', 'Xirocourt'),
(499, '54', '54750', 'Trieux'),
(500, '54', '54760', 'Armaucourt'),
(501, '54', '54760', 'Arraye-et-Han'),
(502, '54', '54760', 'Bey-sur-Seille'),
(503, '54', '54760', 'Faulx'),
(504, '54', '54760', 'Lanfroicourt'),
(505, '54', '54760', 'Leyr'),
(506, '54', '54760', 'Moivrons'),
(507, '54', '54760', 'Montenoy'),
(508, '54', '54760', 'Villers-lès-Moivrons'),
(509, '54', '54770', 'Agincourt'),
(510, '54', '54770', 'Amance'),
(511, '54', '54770', 'Bouxières-aux-Chênes'),
(512, '54', '54770', 'Dommartin-sous-Amance'),
(513, '54', '54770', 'Laître-sous-Amance'),
(514, '54', '54780', 'Giraumont'),
(515, '54', '54790', 'Mancieulles'),
(516, '54', '54800', 'Abbéville-lès-Conflans'),
(517, '54', '54800', 'Affléville'),
(518, '54', '54800', 'Allamont'),
(519, '54', '54800', 'Béchamps'),
(520, '54', '54800', 'Boncourt'),
(521, '54', '54800', 'Brainville'),
(522, '54', '54800', 'Bruville'),
(523, '54', '54800', 'Conflans-en-Jarnisy'),
(524, '54', '54800', 'Doncourt-lès-Conflans'),
(525, '54', '54800', 'Friauville'),
(526, '54', '54800', 'Gondrecourt-Aix'),
(527, '54', '54800', 'Hannonville-Suzémont'),
(528, '54', '54800', 'Hatrize'),
(529, '54', '54800', 'Jarny'),
(530, '54', '54800', 'Jeandelize'),
(531, '54', '54800', 'Jouaville'),
(532, '54', '54800', 'Labry'),
(533, '54', '54800', 'Mars-la-Tour'),
(534, '54', '54800', 'Mouaville'),
(535, '54', '54800', 'Olley'),
(536, '54', '54800', 'Puxe'),
(537, '54', '54800', 'Puxieux'),
(538, '54', '54800', 'Saint-Marcel'),
(539, '54', '54800', 'Sponville'),
(540, '54', '54800', 'Thumeréville'),
(541, '54', '54800', 'Tronville'),
(542, '54', '54800', 'Ville-sur-Yron'),
(543, '54', '54800', 'Xonville'),
(544, '54', '54810', 'Longlaville'),
(545, '54', '54820', 'Marbache'),
(546, '54', '54830', 'Essey-la-Côte'),
(547, '54', '54830', 'Franconville'),
(548, '54', '54830', 'Gerbéviller'),
(549, '54', '54830', 'Giriviller'),
(550, '54', '54830', 'Haudonville'),
(551, '54', '54830', 'Mattexey'),
(552, '54', '54830', 'Moriviller'),
(553, '54', '54830', 'Remenoville'),
(554, '54', '54830', 'Seranville'),
(555, '54', '54830', 'Vallois'),
(556, '54', '54830', 'Vennezey'),
(557, '54', '54840', 'Fontenoy-sur-Moselle'),
(558, '54', '54840', 'Gondreville'),
(559, '54', '54840', 'Sexey-les-Bois'),
(560, '54', '54840', 'Velaine-en-Haye'),
(561, '54', '54840', 'Villey-le-Sec'),
(562, '54', '54850', 'Méréville'),
(563, '54', '54850', 'Messein'),
(564, '54', '54860', 'Haucourt-Moulaine'),
(565, '54', '54870', 'Cons-la-Grandville'),
(566, '54', '54870', 'Montigny-sur-Chiers'),
(567, '54', '54870', 'Ugny'),
(568, '54', '54870', 'Villers-la-Chèvre'),
(569, '54', '54880', 'Thil'),
(570, '54', '54890', 'Bayonville-sur-Mad'),
(571, '54', '54890', 'Chambley-Bussières'),
(572, '54', '54890', 'Onville'),
(573, '54', '54890', 'Vandelainville'),
(574, '54', '54890', 'Villecey-sur-Mad'),
(575, '54', '54890', 'Waville'),
(576, '54', '54910', 'Valleroy'),
(577, '54', '54920', 'Morfontaine'),
(578, '54', '54920', 'Villers-la-Montagne'),
(579, '54', '54930', 'Bouzanville'),
(580, '54', '54930', 'Courcelles'),
(581, '54', '54930', 'Diarville'),
(582, '54', '54930', 'Forcelles-sous-Gugney'),
(583, '54', '54930', 'Fraisnes-en-Saintois'),
(584, '54', '54930', 'Gugney'),
(585, '54', '54930', 'Housséville'),
(586, '54', '54930', 'Saint-Firmin'),
(587, '54', '54930', 'They-sous-Vaudemont'),
(588, '54', '54940', 'Belleville'),
(589, '54', '54950', 'Laronxe'),
(590, '54', '54950', 'Saint-Clément'),
(591, '54', '54960', 'Mercy-le-Bas'),
(592, '54', '54970', 'Landres'),
(593, '54', '54980', 'Batilly'),
(594, '54', '54990', 'Xeuilley'),
(595, '55', '55000', 'Bar-le-Duc'),
(596, '55', '55000', 'Behonne'),
(597, '55', '55000', 'Beurey-sur-Saulx'),
(598, '55', '55000', 'Brillon-en-Barrois'),
(599, '55', '55000', 'Chardogne'),
(600, '55', '55000', 'Combles-en-Barrois'),
(601, '55', '55000', 'Érize-Saint-Dizier'),
(602, '55', '55000', 'Fains-Véel'),
(603, '55', '55000', 'Géry'),
(604, '55', '55000', 'Guerpont'),
(605, '55', '55000', 'Haironville'),
(606, '55', '55000', 'Les Hauts-de-Chée'),
(607, '55', '55000', 'Lisle-en-Rigault'),
(608, '55', '55000', 'Longeville-en-Barrois'),
(609, '55', '55000', 'Montplonne'),
(610, '55', '55000', 'Naives-Rosières'),
(611, '55', '55000', 'Resson'),
(612, '55', '55000', 'Robert-Espagne'),
(613, '55', '55000', 'Rumont'),
(614, '55', '55000', 'Salmagne'),
(615, '55', '55000', 'Saudrupt'),
(616, '55', '55000', 'Savonnières-devant-Bar'),
(617, '55', '55000', 'Seigneulles'),
(618, '55', '55000', 'Silmont'),
(619, '55', '55000', 'Tannois'),
(620, '55', '55000', 'Trémont-sur-Saulx'),
(621, '55', '55000', 'Val-d\'Ornain'),
(622, '55', '55000', 'Vavincourt'),
(623, '55', '55000', 'Ville-sur-Saulx'),
(624, '55', '55100', 'Beaumont-en-Verdunois'),
(625, '55', '55100', 'Belleray'),
(626, '55', '55100', 'Belrupt-en-Verdunois'),
(627, '55', '55100', 'Béthelainville'),
(628, '55', '55100', 'Bezonvaux'),
(629, '55', '55100', 'Brabant-sur-Meuse'),
(630, '55', '55100', 'Bras-sur-Meuse'),
(631, '55', '55100', 'Champneuville'),
(632, '55', '55100', 'Charny-sur-Meuse'),
(633, '55', '55100', 'Chattancourt'),
(634, '55', '55100', 'Cumières-le-Mort-Homme'),
(635, '55', '55100', 'Douaumont'),
(636, '55', '55100', 'Dugny-sur-Meuse'),
(637, '55', '55100', 'Esnes-en-Argonne'),
(638, '55', '55100', 'Fleury-devant-Douaumont'),
(639, '55', '55100', 'Fromeréville-les-Vallons'),
(640, '55', '55100', 'Haudainville'),
(641, '55', '55100', 'Haumont-près-Samogneux'),
(642, '55', '55100', 'Landrecourt-Lempire'),
(643, '55', '55100', 'Louvemont-Côte-du-Poivre'),
(644, '55', '55100', 'Marre'),
(645, '55', '55100', 'Montzéville'),
(646, '55', '55100', 'Samogneux'),
(647, '55', '55100', 'Sivry-la-Perche'),
(648, '55', '55100', 'Vacherauville'),
(649, '55', '55100', 'Verdun'),
(650, '55', '55110', 'Aincreville'),
(651, '55', '55110', 'Bantheville'),
(652, '55', '55110', 'Brieulles-sur-Meuse'),
(653, '55', '55110', 'Cléry-le-Grand'),
(654, '55', '55110', 'Cléry-le-Petit'),
(655, '55', '55110', 'Consenvoye'),
(656, '55', '55110', 'Cunel'),
(657, '55', '55110', 'Dannevoux'),
(658, '55', '55110', 'Doulcon'),
(659, '55', '55110', 'Dun-sur-Meuse'),
(660, '55', '55110', 'Fontaines-Saint-Clair'),
(661, '55', '55110', 'Forges-sur-Meuse'),
(662, '55', '55110', 'Gercourt-et-Drillancourt'),
(663, '55', '55110', 'Gesnes-en-Argonne'),
(664, '55', '55110', 'Liny-devant-Dun'),
(665, '55', '55110', 'Lion-devant-Dun'),
(666, '55', '55110', 'Milly-sur-Bradon'),
(667, '55', '55110', 'Mont-devant-Sassey'),
(668, '55', '55110', 'Montigny-devant-Sassey'),
(669, '55', '55110', 'Murvaux'),
(670, '55', '55110', 'Regnéville-sur-Meuse'),
(671, '55', '55110', 'Romagne-sous-Montfaucon'),
(672, '55', '55110', 'Sassey-sur-Meuse'),
(673, '55', '55110', 'Saulmory-et-Villefranche'),
(674, '55', '55110', 'Sivry-sur-Meuse'),
(675, '55', '55110', 'Villers-devant-Dun'),
(676, '55', '55110', 'Vilosnes-Haraumont'),
(677, '55', '55120', 'Aubréville'),
(678, '55', '55120', 'Autrécourt-sur-Aire'),
(679, '55', '55120', 'Brabant-en-Argonne'),
(680, '55', '55120', 'Brocourt-en-Argonne'),
(681, '55', '55120', 'Clermont-en-Argonne'),
(682, '55', '55120', 'Dombasle-en-Argonne'),
(683, '55', '55120', 'Froidos'),
(684, '55', '55120', 'Futeau'),
(685, '55', '55120', 'Jouy-en-Argonne'),
(686, '55', '55120', 'Julvécourt'),
(687, '55', '55120', 'Lachalade'),
(688, '55', '55120', 'Lavoye'),
(689, '55', '55120', 'Le Claon'),
(690, '55', '55120', 'Le Neufour'),
(691, '55', '55120', 'Les Islettes'),
(692, '55', '55120', 'Neuvilly-en-Argonne'),
(693, '55', '55120', 'Nixéville-Blercourt'),
(694, '55', '55120', 'Rarécourt'),
(695, '55', '55120', 'Récicourt'),
(696, '55', '55120', 'Ville-sur-Cousances'),
(697, '55', '55130', 'Abainville'),
(698, '55', '55130', 'Amanty'),
(699, '55', '55130', 'Badonvilliers-Gérauvilliers'),
(700, '55', '55130', 'Baudignécourt'),
(701, '55', '55130', 'Bonnet'),
(702, '55', '55130', 'Chassey-Beaupré'),
(703, '55', '55130', 'Dainville-Bertheléville'),
(704, '55', '55130', 'Delouze-Rosières'),
(705, '55', '55130', 'Demange-aux-Eaux'),
(706, '55', '55130', 'Gondrecourt-le-Château'),
(707, '55', '55130', 'Horville-en-Ornois'),
(708, '55', '55130', 'Houdelaincourt'),
(709, '55', '55130', 'Les Roises'),
(710, '55', '55130', 'Saint-Joire'),
(711, '55', '55130', 'Tréveray'),
(712, '55', '55130', 'Vaudeville-le-Haut'),
(713, '55', '55130', 'Vouthon-Bas'),
(714, '55', '55130', 'Vouthon-Haut'),
(715, '55', '55140', 'Brixey-aux-Chanoines'),
(716, '55', '55140', 'Burey-en-Vaux'),
(717, '55', '55140', 'Burey-la-Côte'),
(718, '55', '55140', 'Chalaines'),
(719, '55', '55140', 'Champougny'),
(720, '55', '55140', 'Épiez-sur-Meuse'),
(721, '55', '55140', 'Goussaincourt'),
(722, '55', '55140', 'Maxey-sur-Vaise'),
(723, '55', '55140', 'Montbras'),
(724, '55', '55140', 'Montigny-lès-Vaucouleurs'),
(725, '55', '55140', 'Neuville-lès-Vaucouleurs'),
(726, '55', '55140', 'Pagny-la-Blanche-Côte'),
(727, '55', '55140', 'Rigny-la-Salle'),
(728, '55', '55140', 'Rigny-Saint-Martin'),
(729, '55', '55140', 'Saint-Germain-sur-Meuse'),
(730, '55', '55140', 'Sauvigny'),
(731, '55', '55140', 'Sepvigny'),
(732, '55', '55140', 'Taillancourt'),
(733, '55', '55140', 'Ugny-sur-Meuse'),
(734, '55', '55140', 'Vaucouleurs'),
(735, '55', '55150', 'Azannes-et-Soumazannes'),
(736, '55', '55150', 'Brandeville'),
(737, '55', '55150', 'Bréhéville'),
(738, '55', '55150', 'Chaumont-devant-Damvillers'),
(739, '55', '55150', 'Damvillers'),
(740, '55', '55150', 'Delut'),
(741, '55', '55150', 'Dombras'),
(742, '55', '55150', 'Écurey-en-Verdunois'),
(743, '55', '55150', 'Étraye'),
(744, '55', '55150', 'Gremilly'),
(745, '55', '55150', 'Lissey'),
(746, '55', '55150', 'Mangiennes'),
(747, '55', '55150', 'Merles-sur-Loison'),
(748, '55', '55150', 'Moirey-Flabas-Crépion'),
(749, '55', '55150', 'Ornes'),
(750, '55', '55150', 'Peuvillers'),
(751, '55', '55150', 'Réville-aux-Bois'),
(752, '55', '55150', 'Romagne-sous-les-Côtes'),
(753, '55', '55150', 'Rupt-sur-Othain'),
(754, '55', '55150', 'Saint-Laurent-sur-Othain'),
(755, '55', '55150', 'Ville-devant-Chaumont'),
(756, '55', '55150', 'Villers-lès-Mangiennes'),
(757, '55', '55150', 'Vittarville'),
(758, '55', '55150', 'Wavrille'),
(759, '55', '55160', 'Bonzée'),
(760, '55', '55160', 'Combres-sous-les-Côtes'),
(761, '55', '55160', 'Dommartin-la-Montagne'),
(762, '55', '55160', 'Doncourt-aux-Templiers'),
(763, '55', '55160', 'Fresnes-en-Woëvre'),
(764, '55', '55160', 'Harville'),
(765, '55', '55160', 'Haudiomont'),
(766, '55', '55160', 'Hennemont'),
(767, '55', '55160', 'Jonville-en-Woëvre'),
(768, '55', '55160', 'Labeuville'),
(769, '55', '55160', 'Latour-en-Woëvre'),
(770, '55', '55160', 'Les Éparges'),
(771, '55', '55160', 'Maizeray'),
(772, '55', '55160', 'Manheulles'),
(773, '55', '55160', 'Marchéville-en-Woëvre'),
(774, '55', '55160', 'Moulotte'),
(775, '55', '55160', 'Pareid'),
(776, '55', '55160', 'Pintheville'),
(777, '55', '55160', 'Riaville'),
(778, '55', '55160', 'Ronvaux'),
(779, '55', '55160', 'Saint-Hilaire-en-Woëvre'),
(780, '55', '55160', 'Saint-Remy-la-Calonne'),
(781, '55', '55160', 'Saulx-lès-Champlon'),
(782, '55', '55160', 'Trésauvaux'),
(783, '55', '55160', 'Ville-en-Woëvre'),
(784, '55', '55160', 'Villers-sous-Pareid'),
(785, '55', '55160', 'Watronville'),
(786, '55', '55170', 'Ancerville'),
(787, '55', '55170', 'Aulnois-en-Perthois'),
(788, '55', '55170', 'Baudonvilliers'),
(789, '55', '55170', 'Bazincourt-sur-Saulx'),
(790, '55', '55170', 'Brauvilliers'),
(791, '55', '55170', 'Cousances-les-Forges'),
(792, '55', '55170', 'Juvigny-en-Perthois'),
(793, '55', '55170', 'Lavincourt'),
(794, '55', '55170', 'Rupt-aux-Nonains'),
(795, '55', '55170', 'Savonnières-en-Perthois'),
(796, '55', '55170', 'Sommelonne'),
(797, '55', '55190', 'Bovée-sur-Barboure'),
(798, '55', '55190', 'Broussey-en-Blois'),
(799, '55', '55190', 'Laneuville-au-Rupt'),
(800, '55', '55190', 'Marson-sur-Barboure'),
(801, '55', '55190', 'Mauvages'),
(802, '55', '55190', 'Méligny-le-Grand'),
(803, '55', '55190', 'Méligny-le-Petit'),
(804, '55', '55190', 'Ménil-la-Horgne'),
(805, '55', '55190', 'Naives-en-Blois'),
(806, '55', '55190', 'Ourches-sur-Meuse'),
(807, '55', '55190', 'Pagny-sur-Meuse'),
(808, '55', '55190', 'Reffroy'),
(809, '55', '55190', 'Sauvoy'),
(810, '55', '55190', 'Sorcy-Saint-Martin'),
(811, '55', '55190', 'Troussey'),
(812, '55', '55190', 'Villeroy-sur-Méholle'),
(813, '55', '55190', 'Void-Vacon'),
(814, '55', '55200', 'Boncourt-sur-Meuse'),
(815, '55', '55200', 'Broussey-Raulecourt'),
(816, '55', '55200', 'Chonville-Malaumont'),
(817, '55', '55200', 'Commercy'),
(818, '55', '55200', 'Euville'),
(819, '55', '55200', 'Frémeréville-sous-les-Côtes'),
(820, '55', '55200', 'Geville'),
(821, '55', '55200', 'Girauvoisin'),
(822, '55', '55200', 'Lérouville'),
(823, '55', '55200', 'Pont-sur-Meuse'),
(824, '55', '55200', 'Saint-Julien-sous-les-Côtes'),
(825, '55', '55200', 'Vadonville'),
(826, '55', '55200', 'Vignot'),
(827, '55', '55210', 'Avillers-Sainte-Croix'),
(828, '55', '55210', 'Beney-en-Woëvre'),
(829, '55', '55210', 'Chaillon'),
(830, '55', '55210', 'Hannonville-sous-les-Côtes'),
(831, '55', '55210', 'Herbeuville'),
(832, '55', '55210', 'Heudicourt-sous-les-Côtes'),
(833, '55', '55210', 'Lachaussée'),
(834, '55', '55210', 'Nonsard-Lamarche'),
(835, '55', '55210', 'Saint-Maurice-sous-les-Côtes'),
(836, '55', '55210', 'Thillot'),
(837, '55', '55210', 'Vigneulles-lès-Hattonchâtel'),
(838, '55', '55210', 'Woël'),
(839, '55', '55220', 'Heippes'),
(840, '55', '55220', 'Ippécourt'),
(841, '55', '55220', 'Lemmes'),
(842, '55', '55220', 'Les Souhesmes-Rampont'),
(843, '55', '55220', 'Les Trois-Domaines'),
(844, '55', '55220', 'Osches'),
(845, '55', '55220', 'Rambluzin-et-Benoite-Vaux'),
(846, '55', '55220', 'Récourt-le-Creux'),
(847, '55', '55220', 'Saint-André-en-Barrois'),
(848, '55', '55220', 'Senoncourt-les-Maujouy'),
(849, '55', '55220', 'Souilly'),
(850, '55', '55220', 'Tilly-sur-Meuse'),
(851, '55', '55220', 'Vadelaincourt'),
(852, '55', '55220', 'Villers-sur-Meuse'),
(853, '55', '55230', 'Amel-sur-l\'Étang'),
(854, '55', '55230', 'Arrancy-sur-Crusne'),
(855, '55', '55230', 'Billy-sous-Mangiennes'),
(856, '55', '55230', 'Duzey'),
(857, '55', '55230', 'Gouraincourt'),
(858, '55', '55230', 'Loison'),
(859, '55', '55230', 'Muzeray'),
(860, '55', '55230', 'Nouillonpont'),
(861, '55', '55230', 'Pillon'),
(862, '55', '55230', 'Rouvrois-sur-Othain'),
(863, '55', '55230', 'Saint-Pierrevillers'),
(864, '55', '55230', 'Senon'),
(865, '55', '55230', 'Sorbey'),
(866, '55', '55230', 'Spincourt'),
(867, '55', '55230', 'Vaudoncourt'),
(868, '55', '55240', 'Bouligny'),
(869, '55', '55240', 'Dommary-Baroncourt'),
(870, '55', '55240', 'Domremy-la-Canne'),
(871, '55', '55240', 'Éton'),
(872, '55', '55250', 'Beaulieu-en-Argonne'),
(873, '55', '55250', 'Beausite'),
(874, '55', '55250', 'Brizeaux'),
(875, '55', '55250', 'Èvres'),
(876, '55', '55250', 'Foucaucourt-sur-Thabas'),
(877, '55', '55250', 'Lisle-en-Barrois'),
(878, '55', '55250', 'Nubécourt'),
(879, '55', '55250', 'Pretz-en-Argonne'),
(880, '55', '55250', 'Rembercourt-Sommaisne'),
(881, '55', '55250', 'Seuil-d\'Argonne'),
(882, '55', '55250', 'Vaubecourt'),
(883, '55', '55250', 'Villotte-devant-Louppy'),
(884, '55', '55250', 'Waly'),
(885, '55', '55260', 'Baudrémont'),
(886, '55', '55260', 'Belrain'),
(887, '55', '55260', 'Chaumont-sur-Aire'),
(888, '55', '55260', 'Courcelles-en-Barrois'),
(889, '55', '55260', 'Courcelles-sur-Aire'),
(890, '55', '55260', 'Courouvre'),
(891, '55', '55260', 'Érize-la-Brûlée'),
(892, '55', '55260', 'Érize-la-Petite'),
(893, '55', '55260', 'Fresnes-au-Mont'),
(894, '55', '55260', 'Gimécourt'),
(895, '55', '55260', 'Lahaymeix'),
(896, '55', '55260', 'Lavallée'),
(897, '55', '55260', 'Levoncourt'),
(898, '55', '55260', 'Lignières-sur-Aire'),
(899, '55', '55260', 'Longchamps-sur-Aire'),
(900, '55', '55260', 'Ménil-aux-Bois'),
(901, '55', '55260', 'Neuville-en-Verdunois'),
(902, '55', '55260', 'Nicey-sur-Aire'),
(903, '55', '55260', 'Pierrefitte-sur-Aire'),
(904, '55', '55260', 'Raival'),
(905, '55', '55260', 'Rupt-devant-Saint-Mihiel'),
(906, '55', '55260', 'Thillombois'),
(907, '55', '55260', 'Ville-devant-Belrain'),
(908, '55', '55260', 'Villotte-sur-Aire'),
(909, '55', '55270', 'Avocourt'),
(910, '55', '55270', 'Baulny'),
(911, '55', '55270', 'Béthincourt'),
(912, '55', '55270', 'Boureuilles'),
(913, '55', '55270', 'Charpentry'),
(914, '55', '55270', 'Cheppy'),
(915, '55', '55270', 'Cierges-sous-Montfaucon'),
(916, '55', '55270', 'Cuisy'),
(917, '55', '55270', 'Épinonville'),
(918, '55', '55270', 'Malancourt'),
(919, '55', '55270', 'Montblainville'),
(920, '55', '55270', 'Montfaucon-d\'Argonne'),
(921, '55', '55270', 'Nantillois'),
(922, '55', '55270', 'Septsarges'),
(923, '55', '55270', 'Varennes-en-Argonne'),
(924, '55', '55270', 'Vauquois'),
(925, '55', '55270', 'Véry'),
(926, '55', '55290', 'Biencourt-sur-Orge'),
(927, '55', '55290', 'Bure'),
(928, '55', '55290', 'Couvertpuis'),
(929, '55', '55290', 'Hévilliers'),
(930, '55', '55290', 'Mandres-en-Barrois'),
(931, '55', '55290', 'Montiers-sur-Saulx'),
(932, '55', '55290', 'Morley'),
(933, '55', '55290', 'Ribeaucourt'),
(934, '55', '55300', 'Ambly-sur-Meuse'),
(935, '55', '55300', 'Apremont-la-Forêt'),
(936, '55', '55300', 'Bannoncourt'),
(937, '55', '55300', 'Bislée'),
(938, '55', '55300', 'Bouconville-sur-Madt'),
(939, '55', '55300', 'Bouquemont'),
(940, '55', '55300', 'Buxières-sous-les-Côtes'),
(941, '55', '55300', 'Chauvoncourt'),
(942, '55', '55300', 'Dompcevrin'),
(943, '55', '55300', 'Dompierre-aux-Bois'),
(944, '55', '55300', 'Han-sur-Meuse'),
(945, '55', '55300', 'Kœur-la-Grande'),
(946, '55', '55300', 'Kœur-la-Petite'),
(947, '55', '55300', 'Lacroix-sur-Meuse'),
(948, '55', '55300', 'Lahayville'),
(949, '55', '55300', 'Lamorville'),
(950, '55', '55300', 'Les Paroches'),
(951, '55', '55300', 'Loupmont'),
(952, '55', '55300', 'Maizey'),
(953, '55', '55300', 'Mécrin'),
(954, '55', '55300', 'Montsec'),
(955, '55', '55300', 'Rambucourt'),
(956, '55', '55300', 'Ranzières'),
(957, '55', '55300', 'Richecourt'),
(958, '55', '55300', 'Rouvrois-sur-Meuse'),
(959, '55', '55300', 'Saint-Mihiel'),
(960, '55', '55300', 'Sampigny'),
(961, '55', '55300', 'Seuzey'),
(962, '55', '55300', 'Troyon'),
(963, '55', '55300', 'Valbois'),
(964, '55', '55300', 'Varnéville'),
(965, '55', '55300', 'Vaux-lès-Palameix'),
(966, '55', '55300', 'Woimbey'),
(967, '55', '55300', 'Xivray-et-Marvoisin'),
(968, '55', '55310', 'Tronville-en-Barrois'),
(969, '55', '55320', 'Ancemont'),
(970, '55', '55320', 'Dieue-sur-Meuse'),
(971, '55', '55320', 'Génicourt-sur-Meuse'),
(972, '55', '55320', 'Les Monthairons'),
(973, '55', '55320', 'Mouilly'),
(974, '55', '55320', 'Rupt-en-Woëvre'),
(975, '55', '55320', 'Sommedieue'),
(976, '55', '55400', 'Abaucourt-Hautecourt'),
(977, '55', '55400', 'Blanzée'),
(978, '55', '55400', 'Boinville-en-Woëvre'),
(979, '55', '55400', 'Braquis'),
(980, '55', '55400', 'Buzy-Darmont'),
(981, '55', '55400', 'Châtillon-sous-les-Côtes'),
(982, '55', '55400', 'Damloup'),
(983, '55', '55400', 'Dieppe-sous-Douaumont'),
(984, '55', '55400', 'Eix'),
(985, '55', '55400', 'Étain'),
(986, '55', '55400', 'Foameix-Ornel'),
(987, '55', '55400', 'Fromezey'),
(988, '55', '55400', 'Gincrey'),
(989, '55', '55400', 'Grimaucourt-en-Woëvre'),
(990, '55', '55400', 'Gussainville'),
(991, '55', '55400', 'Herméville-en-Woëvre'),
(992, '55', '55400', 'Lanhères'),
(993, '55', '55400', 'Maucourt-sur-Orne'),
(994, '55', '55400', 'Mogeville'),
(995, '55', '55400', 'Moranville'),
(996, '55', '55400', 'Morgemoulin'),
(997, '55', '55400', 'Moulainville'),
(998, '55', '55400', 'Parfondrupt'),
(999, '55', '55400', 'Rouvres-en-Woëvre'),
(1000, '55', '55400', 'Saint-Jean-lès-Buzy'),
(1001, '55', '55400', 'Vaux-devant-Damloup'),
(1002, '55', '55400', 'Warcq'),
(1003, '55', '55430', 'Belleville-sur-Meuse'),
(1004, '55', '55500', 'Boviolles'),
(1005, '55', '55500', 'Chanteraine'),
(1006, '55', '55500', 'Cousances-lès-Triconville'),
(1007, '55', '55500', 'Dagonville'),
(1008, '55', '55500', 'Dammarie-sur-Saulx'),
(1009, '55', '55500', 'Erneville-aux-Bois'),
(1010, '55', '55500', 'Fouchères-aux-Bois'),
(1011, '55', '55500', 'Givrauval'),
(1012, '55', '55500', 'Grimaucourt-près-Sampigny'),
(1013, '55', '55500', 'Le Bouchon-sur-Saulx'),
(1014, '55', '55500', 'Ligny-en-Barrois'),
(1015, '55', '55500', 'Longeaux'),
(1016, '55', '55500', 'Maulan'),
(1017, '55', '55500', 'Menaucourt'),
(1018, '55', '55500', 'Ménil-sur-Saulx'),
(1019, '55', '55500', 'Naix-aux-Forges'),
(1020, '55', '55500', 'Nançois-le-Grand'),
(1021, '55', '55500', 'Nançois-sur-Ornain'),
(1022, '55', '55500', 'Nant-le-Grand'),
(1023, '55', '55500', 'Nant-le-Petit'),
(1024, '55', '55500', 'Nantois'),
(1025, '55', '55500', 'Saint-Amand-sur-Ornain'),
(1026, '55', '55500', 'Saint-Aubin-sur-Aire'),
(1027, '55', '55500', 'Saulvaux'),
(1028, '55', '55500', 'Stainville'),
(1029, '55', '55500', 'Velaines'),
(1030, '55', '55500', 'Villers-le-Sec'),
(1031, '55', '55500', 'Willeroncourt'),
(1032, '55', '55600', 'Avioth'),
(1033, '55', '55600', 'Bazeilles-sur-Othain'),
(1034, '55', '55600', 'Breux'),
(1035, '55', '55600', 'Chauvency-le-Château'),
(1036, '55', '55600', 'Chauvency-Saint-Hubert'),
(1037, '55', '55600', 'Écouviez'),
(1038, '55', '55600', 'Flassigny'),
(1039, '55', '55600', 'Han-lès-Juvigny'),
(1040, '55', '55600', 'Iré-le-Sec'),
(1041, '55', '55600', 'Jametz'),
(1042, '55', '55600', 'Juvigny-sur-Loison'),
(1043, '55', '55600', 'Louppy-sur-Loison'),
(1044, '55', '55600', 'Marville'),
(1045, '55', '55600', 'Montmédy'),
(1046, '55', '55600', 'Quincy-Landzécourt'),
(1047, '55', '55600', 'Remoiville'),
(1048, '55', '55600', 'Thonne-la-Long'),
(1049, '55', '55600', 'Thonne-le-Thil'),
(1050, '55', '55600', 'Thonne-les-Près'),
(1051, '55', '55600', 'Thonnelle'),
(1052, '55', '55600', 'Velosnes'),
(1053, '55', '55600', 'Verneuil-Grand'),
(1054, '55', '55600', 'Verneuil-Petit'),
(1055, '55', '55600', 'Vigneul-sous-Montmédy'),
(1056, '55', '55600', 'Villécloye'),
(1057, '55', '55700', 'Autréville-Saint-Lambert'),
(1058, '55', '55700', 'Baâlon'),
(1059, '55', '55700', 'Beauclair'),
(1060, '55', '55700', 'Beaufort-en-Argonne'),
(1061, '55', '55700', 'Brouennes'),
(1062, '55', '55700', 'Cesse'),
(1063, '55', '55700', 'Halles-sous-les-Côtes'),
(1064, '55', '55700', 'Inor'),
(1065, '55', '55700', 'Lamouilly'),
(1066, '55', '55700', 'Laneuville-sur-Meuse'),
(1067, '55', '55700', 'Luzy-Saint-Martin'),
(1068, '55', '55700', 'Martincourt-sur-Meuse'),
(1069, '55', '55700', 'Moulins-Saint-Hubert'),
(1070, '55', '55700', 'Mouzay'),
(1071, '55', '55700', 'Nepvant'),
(1072, '55', '55700', 'Olizy-sur-Chiers'),
(1073, '55', '55700', 'Pouilly-sur-Meuse'),
(1074, '55', '55700', 'Stenay'),
(1075, '55', '55700', 'Wiseppe'),
(1076, '55', '55800', 'Andernay'),
(1077, '55', '55800', 'Brabant-le-Roi'),
(1078, '55', '55800', 'Contrisson'),
(1079, '55', '55800', 'Couvonges'),
(1080, '55', '55800', 'Laheycourt'),
(1081, '55', '55800', 'Laimont'),
(1082, '55', '55800', 'Louppy-le-Château'),
(1083, '55', '55800', 'Mognéville'),
(1084, '55', '55800', 'Nettancourt'),
(1085, '55', '55800', 'Neuville-sur-Ornain'),
(1086, '55', '55800', 'Noyers-Auzécourt'),
(1087, '55', '55800', 'Rancourt-sur-Ornain'),
(1088, '55', '55800', 'Remennecourt'),
(1089, '55', '55800', 'Revigny-sur-Ornain'),
(1090, '55', '55800', 'Sommeilles'),
(1091, '55', '55800', 'Vassincourt'),
(1092, '55', '55800', 'Villers-aux-Vents'),
(1093, '55', '55840', 'Thierville-sur-Meuse'),
(1094, '57', '57000', 'Metz'),
(1095, '57', '57050', 'Le Ban-Saint-Martin'),
(1096, '57', '57050', 'Longeville-lès-Metz'),
(1097, '57', '57050', 'Lorry-lès-Metz'),
(1098, '57', '57050', 'Metz'),
(1099, '57', '57050', 'Plappeville'),
(1100, '57', '57070', 'Chieulles'),
(1101, '57', '57070', 'Metz'),
(1102, '57', '57070', 'Mey'),
(1103, '57', '57070', 'Saint-Julien-lès-Metz'),
(1104, '57', '57070', 'Vantoux'),
(1105, '57', '57070', 'Vany'),
(1106, '57', '57100', 'Manom'),
(1107, '57', '57100', 'Thionville'),
(1108, '57', '57120', 'Pierrevillers'),
(1109, '57', '57120', 'Rombas'),
(1110, '57', '57130', 'Ancy-sur-Moselle'),
(1111, '57', '57130', 'Ars-sur-Moselle'),
(1112, '57', '57130', 'Dornot'),
(1113, '57', '57130', 'Gravelotte'),
(1114, '57', '57130', 'Jouy-aux-Arches'),
(1115, '57', '57130', 'Jussy'),
(1116, '57', '57130', 'Rezonville'),
(1117, '57', '57130', 'Sainte-Ruffine'),
(1118, '57', '57130', 'Vaux'),
(1119, '57', '57130', 'Vernéville'),
(1120, '57', '57130', 'Vionville'),
(1121, '57', '57140', 'La Maxe'),
(1122, '57', '57140', 'Norroy-le-Veneur'),
(1123, '57', '57140', 'Plesnois'),
(1124, '57', '57140', 'Saulny'),
(1125, '57', '57140', 'Woippy'),
(1126, '57', '57150', 'Creutzwald'),
(1127, '57', '57155', 'Marly'),
(1128, '57', '57160', 'Châtel-Saint-Germain'),
(1129, '57', '57160', 'Lessy'),
(1130, '57', '57160', 'Moulins-lès-Metz'),
(1131, '57', '57160', 'Rozérieulles'),
(1132, '57', '57160', 'Scy-Chazelles'),
(1133, '57', '57170', 'Amelécourt'),
(1134, '57', '57170', 'Attilloncourt'),
(1135, '57', '57170', 'Bioncourt'),
(1136, '57', '57170', 'Burlioncourt'),
(1137, '57', '57170', 'Chambrey'),
(1138, '57', '57170', 'Château-Salins'),
(1139, '57', '57170', 'Château-Voué'),
(1140, '57', '57170', 'Fresnes-en-Saulnois'),
(1141, '57', '57170', 'Gerbécourt'),
(1142, '57', '57170', 'Grémecey'),
(1143, '57', '57170', 'Hampont'),
(1144, '57', '57170', 'Lubécourt'),
(1145, '57', '57170', 'Morville-lès-Vic'),
(1146, '57', '57170', 'Obreck'),
(1147, '57', '57170', 'Pettoncourt'),
(1148, '57', '57170', 'Puttigny'),
(1149, '57', '57170', 'Salonnes'),
(1150, '57', '57170', 'Sotzeling'),
(1151, '57', '57170', 'Vaxy'),
(1152, '57', '57170', 'Wuisse'),
(1153, '57', '57175', 'Gandrange'),
(1154, '57', '57180', 'Terville'),
(1155, '57', '57185', 'Clouange'),
(1156, '57', '57185', 'Vitry-sur-Orne'),
(1157, '57', '57190', 'Florange'),
(1158, '57', '57200', 'Blies-Ébersing'),
(1159, '57', '57200', 'Blies-Guersviller'),
(1160, '57', '57200', 'Bliesbruck'),
(1161, '57', '57200', 'Frauenberg'),
(1162, '57', '57200', 'Rémelfing'),
(1163, '57', '57200', 'Sarreguemines'),
(1164, '57', '57200', 'Wiesviller'),
(1165, '57', '57200', 'Wœlfling-lès-Sarreguemines'),
(1166, '57', '57220', 'Bannay'),
(1167, '57', '57220', 'Bettange'),
(1168, '57', '57220', 'Bionville-sur-Nied'),
(1169, '57', '57220', 'Bisten-en-Lorraine'),
(1170, '57', '57220', 'Boucheporn'),
(1171, '57', '57220', 'Boulay-Moselle'),
(1172, '57', '57220', 'Brouck'),
(1173, '57', '57220', 'Burtoncourt'),
(1174, '57', '57220', 'Charleville-sous-Bois'),
(1175, '57', '57220', 'Condé-Northen'),
(1176, '57', '57220', 'Coume'),
(1177, '57', '57220', 'Denting'),
(1178, '57', '57220', 'Éblange'),
(1179, '57', '57220', 'Fouligny'),
(1180, '57', '57220', 'Gomelange'),
(1181, '57', '57220', 'Guinkirchen'),
(1182, '57', '57220', 'Helstroff'),
(1183, '57', '57220', 'Hinckange'),
(1184, '57', '57220', 'Holling'),
(1185, '57', '57220', 'Mégange'),
(1186, '57', '57220', 'Momerstroff'),
(1187, '57', '57220', 'Narbéfontaine'),
(1188, '57', '57220', 'Niedervisse'),
(1189, '57', '57220', 'Obervisse'),
(1190, '57', '57220', 'Ottonville'),
(1191, '57', '57220', 'Piblange'),
(1192, '57', '57220', 'Roupeldange'),
(1193, '57', '57220', 'Téterchen'),
(1194, '57', '57220', 'Valmunster'),
(1195, '57', '57220', 'Varize'),
(1196, '57', '57220', 'Velving'),
(1197, '57', '57220', 'Volmerange-lès-Boulay'),
(1198, '57', '57230', 'Bitche'),
(1199, '57', '57230', 'Bousseviller'),
(1200, '57', '57230', 'Bærenthal'),
(1201, '57', '57230', 'Éguelshardt'),
(1202, '57', '57230', 'Hanviller'),
(1203, '57', '57230', 'Haspelschiedt'),
(1204, '57', '57230', 'Liederschiedt'),
(1205, '57', '57230', 'Philippsbourg'),
(1206, '57', '57230', 'Reyersviller'),
(1207, '57', '57230', 'Roppeviller'),
(1208, '57', '57230', 'Schorbach'),
(1209, '57', '57230', 'Sturzelbronn'),
(1210, '57', '57240', 'Knutange'),
(1211, '57', '57240', 'Nilvange'),
(1212, '57', '57245', 'Chesny'),
(1213, '57', '57245', 'Jury'),
(1214, '57', '57245', 'Mécleuves'),
(1215, '57', '57245', 'Peltre'),
(1216, '57', '57250', 'Moyeuvre-Grande'),
(1217, '57', '57250', 'Moyeuvre-Petite'),
(1218, '57', '57255', 'Sainte-Marie-aux-Chênes'),
(1219, '57', '57260', 'Assenoncourt'),
(1220, '57', '57260', 'Bassing'),
(1221, '57', '57260', 'Bidestroff'),
(1222, '57', '57260', 'Blanche-Église'),
(1223, '57', '57260', 'Bourgaltroff'),
(1224, '57', '57260', 'Cutting'),
(1225, '57', '57260', 'Desseling'),
(1226, '57', '57260', 'Dieuze'),
(1227, '57', '57260', 'Domnom-lès-Dieuze'),
(1228, '57', '57260', 'Gelucourt'),
(1229, '57', '57260', 'Guébestroff'),
(1230, '57', '57260', 'Guéblange-lès-Dieuze'),
(1231, '57', '57260', 'Guébling'),
(1232, '57', '57260', 'Guermange'),
(1233, '57', '57260', 'Lindre-Basse'),
(1234, '57', '57260', 'Lindre-Haute'),
(1235, '57', '57260', 'Mulcey'),
(1236, '57', '57260', 'Rorbach-lès-Dieuze'),
(1237, '57', '57260', 'Saint-Médard'),
(1238, '57', '57260', 'Tarquimpol'),
(1239, '57', '57260', 'Val-de-Bride'),
(1240, '57', '57260', 'Vergaville'),
(1241, '57', '57260', 'Zommange'),
(1242, '57', '57270', 'Richemont'),
(1243, '57', '57270', 'Uckange'),
(1244, '57', '57280', 'Fèves'),
(1245, '57', '57280', 'Hauconcourt'),
(1246, '57', '57280', 'Maizières-lès-Metz'),
(1247, '57', '57280', 'Semécourt'),
(1248, '57', '57290', 'Fameck'),
(1249, '57', '57290', 'Serémange-Erzange'),
(1250, '57', '57300', 'Ay-sur-Moselle'),
(1251, '57', '57300', 'Hagondange'),
(1252, '57', '57300', 'Mondelange'),
(1253, '57', '57300', 'Trémery'),
(1254, '57', '57310', 'Bertrange'),
(1255, '57', '57310', 'Bousse'),
(1256, '57', '57310', 'Guénange'),
(1257, '57', '57310', 'Rurange-lès-Thionville'),
(1258, '57', '57320', 'Alzing'),
(1259, '57', '57320', 'Anzeling'),
(1260, '57', '57320', 'Bibiche'),
(1261, '57', '57320', 'Bouzonville'),
(1262, '57', '57320', 'Brettnach'),
(1263, '57', '57320', 'Château-Rouge'),
(1264, '57', '57320', 'Chémery-les-Deux'),
(1265, '57', '57320', 'Colmen'),
(1266, '57', '57320', 'Dalstein'),
(1267, '57', '57320', 'Ébersviller'),
(1268, '57', '57320', 'Filstroff'),
(1269, '57', '57320', 'Flastroff'),
(1270, '57', '57320', 'Freistroff'),
(1271, '57', '57320', 'Guerstling'),
(1272, '57', '57320', 'Heining-lès-Bouzonville'),
(1273, '57', '57320', 'Hestroff'),
(1274, '57', '57320', 'Menskirch'),
(1275, '57', '57320', 'Neunkirchen-lès-Bouzonville'),
(1276, '57', '57320', 'Oberdorff'),
(1277, '57', '57320', 'Rémelfang'),
(1278, '57', '57320', 'Saint-François-Lacroix'),
(1279, '57', '57320', 'Schwerdorff'),
(1280, '57', '57320', 'Tromborn'),
(1281, '57', '57320', 'Vaudreching'),
(1282, '57', '57320', 'Vœlfling-lès-Bouzonville'),
(1283, '57', '57320', 'Waldweistroff'),
(1284, '57', '57330', 'Entrange'),
(1285, '57', '57330', 'Escherange'),
(1286, '57', '57330', 'Hettange-Grande'),
(1287, '57', '57330', 'Kanfen'),
(1288, '57', '57330', 'Roussy-le-Village'),
(1289, '57', '57330', 'Volmerange-les-Mines'),
(1290, '57', '57330', 'Zoufftgen'),
(1291, '57', '57340', 'Achain'),
(1292, '57', '57340', 'Baronville'),
(1293, '57', '57340', 'Bellange'),
(1294, '57', '57340', 'Bermering'),
(1295, '57', '57340', 'Bréhain'),
(1296, '57', '57340', 'Brulange'),
(1297, '57', '57340', 'Château-Bréhain'),
(1298, '57', '57340', 'Conthil'),
(1299, '57', '57340', 'Dalhain'),
(1300, '57', '57340', 'Destry'),
(1301, '57', '57340', 'Eincheville'),
(1302, '57', '57340', 'Haboudange'),
(1303, '57', '57340', 'Harprich'),
(1304, '57', '57340', 'Landroff'),
(1305, '57', '57340', 'Lidrezing'),
(1306, '57', '57340', 'Marthille'),
(1307, '57', '57340', 'Morhange'),
(1308, '57', '57340', 'Pévange'),
(1309, '57', '57340', 'Racrange'),
(1310, '57', '57340', 'Riche'),
(1311, '57', '57340', 'Rodalbe'),
(1312, '57', '57340', 'Suisse'),
(1313, '57', '57340', 'Vallerange'),
(1314, '57', '57340', 'Vannecourt'),
(1315, '57', '57340', 'Viller'),
(1316, '57', '57340', 'Villers-sur-Nied'),
(1317, '57', '57340', 'Virming'),
(1318, '57', '57340', 'Zarbeling'),
(1319, '57', '57350', 'Schœneck'),
(1320, '57', '57350', 'Spicheren'),
(1321, '57', '57350', 'Stiring-Wendel'),
(1322, '57', '57360', 'Amnéville'),
(1323, '57', '57365', 'Chailly-lès-Ennery'),
(1324, '57', '57365', 'Ennery'),
(1325, '57', '57365', 'Flévy'),
(1326, '57', '57370', 'Berling'),
(1327, '57', '57370', 'Bourscheid'),
(1328, '57', '57370', 'Danne-et-Quatre-Vents'),
(1329, '57', '57370', 'Hangviller'),
(1330, '57', '57370', 'Metting'),
(1331, '57', '57370', 'Mittelbronn'),
(1332, '57', '57370', 'Phalsbourg'),
(1333, '57', '57370', 'Saint-Jean-Kourtzerode'),
(1334, '57', '57370', 'Schalbach'),
(1335, '57', '57370', 'Veckersviller'),
(1336, '57', '57370', 'Vescheim'),
(1337, '57', '57370', 'Vilsberg'),
(1338, '57', '57370', 'Waltembourg'),
(1339, '57', '57370', 'Zilling'),
(1340, '57', '57380', 'Adelange'),
(1341, '57', '57380', 'Arraincourt'),
(1342, '57', '57380', 'Boustroff'),
(1343, '57', '57380', 'Faulquemont'),
(1344, '57', '57380', 'Guessling-Hémering'),
(1345, '57', '57380', 'Holacourt'),
(1346, '57', '57380', 'Mainvillers'),
(1347, '57', '57380', 'Many'),
(1348, '57', '57380', 'Pontpierre'),
(1349, '57', '57380', 'Thicourt'),
(1350, '57', '57380', 'Thonville'),
(1351, '57', '57380', 'Vahl-lès-Faulquemont'),
(1352, '57', '57385', 'Laudrefang'),
(1353, '57', '57385', 'Teting-sur-Nied'),
(1354, '57', '57385', 'Tritteling-Redlach'),
(1355, '57', '57390', 'Audun-le-Tiche'),
(1356, '57', '57390', 'Rédange'),
(1357, '57', '57390', 'Russange'),
(1358, '57', '57400', 'Buhl-Lorraine'),
(1359, '57', '57400', 'Dolving'),
(1360, '57', '57400', 'Haut-Clocher'),
(1361, '57', '57400', 'Hesse'),
(1362, '57', '57400', 'Hilbesheim'),
(1363, '57', '57400', 'Imling'),
(1364, '57', '57400', 'Langatte'),
(1365, '57', '57400', 'Sarraltroff'),
(1366, '57', '57400', 'Sarrebourg'),
(1367, '57', '57400', 'Schneckenbusch'),
(1368, '57', '57405', 'Arzviller'),
(1369, '57', '57405', 'Guntzviller'),
(1370, '57', '57405', 'Hommarting'),
(1371, '57', '57410', 'Bettviller'),
(1372, '57', '57410', 'Bining'),
(1373, '57', '57410', 'Gros-Réderching'),
(1374, '57', '57410', 'Lambach'),
(1375, '57', '57410', 'Petit-Réderching'),
(1376, '57', '57410', 'Rahling'),
(1377, '57', '57410', 'Rohrbach-lès-Bitche'),
(1378, '57', '57410', 'Siersthal'),
(1379, '57', '57412', 'Achen'),
(1380, '57', '57412', 'Etting'),
(1381, '57', '57412', 'Kalhausen'),
(1382, '57', '57412', 'Schmittviller'),
(1383, '57', '57415', 'Enchenberg');
INSERT INTO `commune` (`IDCOMMUNE`, `CODEDEPARTEMENT`, `CODEPOSTAL`, `NOMCOMMUNE`) VALUES
(1384, '57', '57415', 'Montbronn'),
(1385, '57', '57420', 'Buchy'),
(1386, '57', '57420', 'Cheminot'),
(1387, '57', '57420', 'Chérisey'),
(1388, '57', '57420', 'Coin-lès-Cuvry'),
(1389, '57', '57420', 'Coin-sur-Seille'),
(1390, '57', '57420', 'Cuvry'),
(1391, '57', '57420', 'Féy'),
(1392, '57', '57420', 'Fleury'),
(1393, '57', '57420', 'Foville'),
(1394, '57', '57420', 'Goin'),
(1395, '57', '57420', 'Liéhon'),
(1396, '57', '57420', 'Lorry-Mardigny'),
(1397, '57', '57420', 'Louvigny'),
(1398, '57', '57420', 'Marieulles-Vezon'),
(1399, '57', '57420', 'Moncheux'),
(1400, '57', '57420', 'Orny'),
(1401, '57', '57420', 'Pagny-lès-Goin'),
(1402, '57', '57420', 'Pommérieux'),
(1403, '57', '57420', 'Pontoy'),
(1404, '57', '57420', 'Pouilly'),
(1405, '57', '57420', 'Pournoy-la-Chétive'),
(1406, '57', '57420', 'Pournoy-la-Grasse'),
(1407, '57', '57420', 'Sailly-Achâtel'),
(1408, '57', '57420', 'Saint-Jure'),
(1409, '57', '57420', 'Secourt'),
(1410, '57', '57420', 'Sillegny'),
(1411, '57', '57420', 'Silly-en-Saulnois'),
(1412, '57', '57420', 'Solgne'),
(1413, '57', '57420', 'Verny'),
(1414, '57', '57420', 'Vigny'),
(1415, '57', '57420', 'Vulmont'),
(1416, '57', '57430', 'Hazembourg'),
(1417, '57', '57430', 'Kappelkinger'),
(1418, '57', '57430', 'Kirviller'),
(1419, '57', '57430', 'Le Val-de-Guéblange'),
(1420, '57', '57430', 'Sarralbe'),
(1421, '57', '57430', 'Willerwald'),
(1422, '57', '57440', 'Algrange'),
(1423, '57', '57440', 'Angevillers'),
(1424, '57', '57445', 'Réding'),
(1425, '57', '57450', 'Barst'),
(1426, '57', '57450', 'Cappel'),
(1427, '57', '57450', 'Farébersviller'),
(1428, '57', '57450', 'Farschviller'),
(1429, '57', '57450', 'Henriville'),
(1430, '57', '57450', 'Théding'),
(1431, '57', '57455', 'Seingbouse'),
(1432, '57', '57460', 'Behren-lès-Forbach'),
(1433, '57', '57460', 'Bousbach'),
(1434, '57', '57460', 'Etzling'),
(1435, '57', '57460', 'Kerbach'),
(1436, '57', '57470', 'Guenviller'),
(1437, '57', '57470', 'Hombourg-Haut'),
(1438, '57', '57480', 'Apach'),
(1439, '57', '57480', 'Contz-les-Bains'),
(1440, '57', '57480', 'Grindorff-Bizing'),
(1441, '57', '57480', 'Halstroff'),
(1442, '57', '57480', 'Haute-Kontz'),
(1443, '57', '57480', 'Hunting'),
(1444, '57', '57480', 'Kerling-lès-Sierck'),
(1445, '57', '57480', 'Kirsch-lès-Sierck'),
(1446, '57', '57480', 'Kirschnaumen'),
(1447, '57', '57480', 'Laumesfeld'),
(1448, '57', '57480', 'Launstroff'),
(1449, '57', '57480', 'Malling'),
(1450, '57', '57480', 'Manderen'),
(1451, '57', '57480', 'Merschweiller'),
(1452, '57', '57480', 'Montenach'),
(1453, '57', '57480', 'Rémeling'),
(1454, '57', '57480', 'Rettel'),
(1455, '57', '57480', 'Ritzing'),
(1456, '57', '57480', 'Rustroff'),
(1457, '57', '57480', 'Sierck-les-Bains'),
(1458, '57', '57480', 'Waldwisse'),
(1459, '57', '57490', 'Carling'),
(1460, '57', '57490', 'L\'Hôpital'),
(1461, '57', '57500', 'Saint-Avold'),
(1462, '57', '57510', 'Ernestviller'),
(1463, '57', '57510', 'Grundviller'),
(1464, '57', '57510', 'Guebenhouse'),
(1465, '57', '57510', 'Hilsprich'),
(1466, '57', '57510', 'Holving'),
(1467, '57', '57510', 'Hoste'),
(1468, '57', '57510', 'Loupershouse'),
(1469, '57', '57510', 'Puttelange-aux-Lacs'),
(1470, '57', '57510', 'Rémering-lès-Puttelange'),
(1471, '57', '57510', 'Richeling'),
(1472, '57', '57510', 'Saint-Jean-Rohrbach'),
(1473, '57', '57515', 'Alsting'),
(1474, '57', '57520', 'Grosbliederstroff'),
(1475, '57', '57520', 'Lixing-lès-Rouhling'),
(1476, '57', '57520', 'Rouhling'),
(1477, '57', '57525', 'Talange'),
(1478, '57', '57530', 'Ars-Laquenexy'),
(1479, '57', '57530', 'Bazoncourt'),
(1480, '57', '57530', 'Coincy'),
(1481, '57', '57530', 'Colligny'),
(1482, '57', '57530', 'Courcelles-Chaussy'),
(1483, '57', '57530', 'Courcelles-sur-Nied'),
(1484, '57', '57530', 'Glatigny'),
(1485, '57', '57530', 'Hayes'),
(1486, '57', '57530', 'Laquenexy'),
(1487, '57', '57530', 'Les Étangs'),
(1488, '57', '57530', 'Maizeroy'),
(1489, '57', '57530', 'Maizery'),
(1490, '57', '57530', 'Marsilly'),
(1491, '57', '57530', 'Ogy'),
(1492, '57', '57530', 'Pange'),
(1493, '57', '57530', 'Raville'),
(1494, '57', '57530', 'Sanry-sur-Nied'),
(1495, '57', '57530', 'Servigny-lès-Raville'),
(1496, '57', '57530', 'Silly-sur-Nied'),
(1497, '57', '57530', 'Villers-Stoncourt'),
(1498, '57', '57535', 'Bronvaux'),
(1499, '57', '57535', 'Marange-Silvange'),
(1500, '57', '57540', 'Petite-Rosselle'),
(1501, '57', '57550', 'Berviller-en-Moselle'),
(1502, '57', '57550', 'Dalem'),
(1503, '57', '57550', 'Falck'),
(1504, '57', '57550', 'Hargarten-aux-Mines'),
(1505, '57', '57550', 'Merten'),
(1506, '57', '57550', 'Rémering'),
(1507, '57', '57550', 'Villing'),
(1508, '57', '57560', 'Abreschviller'),
(1509, '57', '57560', 'Lafrimbolle'),
(1510, '57', '57560', 'Métairies-Saint-Quirin'),
(1511, '57', '57560', 'Niderhoff'),
(1512, '57', '57560', 'Saint-Quirin'),
(1513, '57', '57560', 'Turquestein-Blancrupt'),
(1514, '57', '57560', 'Vasperviller'),
(1515, '57', '57560', 'Voyer'),
(1516, '57', '57565', 'Brouderdorff'),
(1517, '57', '57565', 'Niderviller'),
(1518, '57', '57570', 'Basse-Rentgen'),
(1519, '57', '57570', 'Berg-sur-Moselle'),
(1520, '57', '57570', 'Beyren-lès-Sierck'),
(1521, '57', '57570', 'Boust'),
(1522, '57', '57570', 'Breistroff-la-Grande'),
(1523, '57', '57570', 'Cattenom'),
(1524, '57', '57570', 'Évrange'),
(1525, '57', '57570', 'Fixem'),
(1526, '57', '57570', 'Gavisse'),
(1527, '57', '57570', 'Hagen'),
(1528, '57', '57570', 'Mondorff'),
(1529, '57', '57570', 'Puttelange-lès-Thionville'),
(1530, '57', '57570', 'Rodemack'),
(1531, '57', '57580', 'Adaincourt'),
(1532, '57', '57580', 'Ancerville'),
(1533, '57', '57580', 'Arriance'),
(1534, '57', '57580', 'Aube'),
(1535, '57', '57580', 'Baudrecourt'),
(1536, '57', '57580', 'Béchy'),
(1537, '57', '57580', 'Beux'),
(1538, '57', '57580', 'Chanville'),
(1539, '57', '57580', 'Chenois'),
(1540, '57', '57580', 'Flocourt'),
(1541, '57', '57580', 'Han-sur-Nied'),
(1542, '57', '57580', 'Herny'),
(1543, '57', '57580', 'Lemud'),
(1544, '57', '57580', 'Lesse'),
(1545, '57', '57580', 'Luppy'),
(1546, '57', '57580', 'Rémilly'),
(1547, '57', '57580', 'Saint-Epvre'),
(1548, '57', '57580', 'Sorbey'),
(1549, '57', '57580', 'Thimonville'),
(1550, '57', '57580', 'Tragny'),
(1551, '57', '57580', 'Vatimont'),
(1552, '57', '57580', 'Vittoncourt'),
(1553, '57', '57580', 'Voimhaut'),
(1554, '57', '57590', 'Aboncourt-sur-Seille'),
(1555, '57', '57590', 'Ajoncourt'),
(1556, '57', '57590', 'Alaincourt-la-Côte'),
(1557, '57', '57590', 'Aulnois-sur-Seille'),
(1558, '57', '57590', 'Bacourt'),
(1559, '57', '57590', 'Chicourt'),
(1560, '57', '57590', 'Craincourt'),
(1561, '57', '57590', 'Delme'),
(1562, '57', '57590', 'Donjeux'),
(1563, '57', '57590', 'Fonteny'),
(1564, '57', '57590', 'Fossieux'),
(1565, '57', '57590', 'Frémery'),
(1566, '57', '57590', 'Hannocourt'),
(1567, '57', '57590', 'Jallaucourt'),
(1568, '57', '57590', 'Juville'),
(1569, '57', '57590', 'Laneuveville-en-Saulnois'),
(1570, '57', '57590', 'Lemoncourt'),
(1571, '57', '57590', 'Liocourt'),
(1572, '57', '57590', 'Lucy'),
(1573, '57', '57590', 'Malaucourt-sur-Seille'),
(1574, '57', '57590', 'Manhoué'),
(1575, '57', '57590', 'Morville-sur-Nied'),
(1576, '57', '57590', 'Oriocourt'),
(1577, '57', '57590', 'Oron'),
(1578, '57', '57590', 'Prévocourt'),
(1579, '57', '57590', 'Puzieux'),
(1580, '57', '57590', 'Tincry'),
(1581, '57', '57590', 'Viviers'),
(1582, '57', '57590', 'Xocourt'),
(1583, '57', '57600', 'Folkling'),
(1584, '57', '57600', 'Forbach'),
(1585, '57', '57600', 'Morsbach'),
(1586, '57', '57600', 'Œting'),
(1587, '57', '57620', 'Gœtzenbruck'),
(1588, '57', '57620', 'Lemberg'),
(1589, '57', '57620', 'Mouterhouse'),
(1590, '57', '57620', 'Saint-Louis-lès-Bitche'),
(1591, '57', '57630', 'Bezange-la-Petite'),
(1592, '57', '57630', 'Haraucourt-sur-Seille'),
(1593, '57', '57630', 'Juvelize'),
(1594, '57', '57630', 'Lezey'),
(1595, '57', '57630', 'Marsal'),
(1596, '57', '57630', 'Moyenvic'),
(1597, '57', '57630', 'Vic-sur-Seille'),
(1598, '57', '57630', 'Xanrey'),
(1599, '57', '57635', 'Bickenholtz'),
(1600, '57', '57635', 'Brouviller'),
(1601, '57', '57635', 'Fleisheim'),
(1602, '57', '57635', 'Hérange'),
(1603, '57', '57635', 'Lixheim'),
(1604, '57', '57635', 'Vieux-Lixheim'),
(1605, '57', '57635', 'Wintersbourg'),
(1606, '57', '57640', 'Antilly'),
(1607, '57', '57640', 'Argancy'),
(1608, '57', '57640', 'Bettelainville'),
(1609, '57', '57640', 'Charly-Oradour'),
(1610, '57', '57640', 'Failly'),
(1611, '57', '57640', 'Malroy'),
(1612, '57', '57640', 'Saint-Hubert'),
(1613, '57', '57640', 'Sainte-Barbe'),
(1614, '57', '57640', 'Sanry-lès-Vigy'),
(1615, '57', '57640', 'Servigny-lès-Sainte-Barbe'),
(1616, '57', '57640', 'Vigy'),
(1617, '57', '57640', 'Vry'),
(1618, '57', '57645', 'Montoy-Flanville'),
(1619, '57', '57645', 'Noisseville'),
(1620, '57', '57645', 'Nouilly'),
(1621, '57', '57645', 'Retonfey'),
(1622, '57', '57650', 'Fontoy'),
(1623, '57', '57650', 'Havange'),
(1624, '57', '57650', 'Lommerange'),
(1625, '57', '57655', 'Boulange'),
(1626, '57', '57660', 'Altrippe'),
(1627, '57', '57660', 'Bérig-Vintrange'),
(1628, '57', '57660', 'Biding'),
(1629, '57', '57660', 'Bistroff'),
(1630, '57', '57660', 'Diffembach-lès-Hellimer'),
(1631, '57', '57660', 'Erstroff'),
(1632, '57', '57660', 'Frémestroff'),
(1633, '57', '57660', 'Freybouse'),
(1634, '57', '57660', 'Gréning'),
(1635, '57', '57660', 'Grostenquin'),
(1636, '57', '57660', 'Hellimer'),
(1637, '57', '57660', 'Laning'),
(1638, '57', '57660', 'Lelling'),
(1639, '57', '57660', 'Leyviller'),
(1640, '57', '57660', 'Lixing-lès-Saint-Avold'),
(1641, '57', '57660', 'Maxstadt'),
(1642, '57', '57660', 'Petit-Tenquin'),
(1643, '57', '57660', 'Vahl-Ebersing'),
(1644, '57', '57670', 'Albestroff'),
(1645, '57', '57670', 'Bénestroff'),
(1646, '57', '57670', 'Francaltroff'),
(1647, '57', '57670', 'Givrycourt'),
(1648, '57', '57670', 'Guinzeling'),
(1649, '57', '57670', 'Honskirch'),
(1650, '57', '57670', 'Insming'),
(1651, '57', '57670', 'Insviller'),
(1652, '57', '57670', 'Léning'),
(1653, '57', '57670', 'Lhor'),
(1654, '57', '57670', 'Lostroff'),
(1655, '57', '57670', 'Loudrefing'),
(1656, '57', '57670', 'Marimont-lès-Bénestroff'),
(1657, '57', '57670', 'Molring'),
(1658, '57', '57670', 'Montdidier'),
(1659, '57', '57670', 'Munster'),
(1660, '57', '57670', 'Nébing'),
(1661, '57', '57670', 'Nelling'),
(1662, '57', '57670', 'Neufvillage'),
(1663, '57', '57670', 'Réning'),
(1664, '57', '57670', 'Torcheville'),
(1665, '57', '57670', 'Vahl-lès-Bénestroff'),
(1666, '57', '57670', 'Vibersviller'),
(1667, '57', '57670', 'Vittersbourg'),
(1668, '57', '57680', 'Arry'),
(1669, '57', '57680', 'Corny-sur-Moselle'),
(1670, '57', '57680', 'Gorze'),
(1671, '57', '57680', 'Novéant-sur-Moselle'),
(1672, '57', '57685', 'Augny'),
(1673, '57', '57690', 'Bambiderstroff'),
(1674, '57', '57690', 'Créhange'),
(1675, '57', '57690', 'Elvange'),
(1676, '57', '57690', 'Flétrange'),
(1677, '57', '57690', 'Guinglange'),
(1678, '57', '57690', 'Hallering'),
(1679, '57', '57690', 'Haute-Vigneulles'),
(1680, '57', '57690', 'Hémilly'),
(1681, '57', '57690', 'Marange-Zondrange'),
(1682, '57', '57690', 'Zimming'),
(1683, '57', '57700', 'Hayange'),
(1684, '57', '57700', 'Neufchef'),
(1685, '57', '57700', 'Ranguevaux'),
(1686, '57', '57710', 'Aumetz'),
(1687, '57', '57710', 'Tressange'),
(1688, '57', '57720', 'Breidenbach'),
(1689, '57', '57720', 'Epping'),
(1690, '57', '57720', 'Erching'),
(1691, '57', '57720', 'Hottviller'),
(1692, '57', '57720', 'Lengelsheim'),
(1693, '57', '57720', 'Loutzviller'),
(1694, '57', '57720', 'Nousseviller-lès-Bitche'),
(1695, '57', '57720', 'Obergailbach'),
(1696, '57', '57720', 'Ormersviller'),
(1697, '57', '57720', 'Rimling'),
(1698, '57', '57720', 'Rolbing'),
(1699, '57', '57720', 'Schweyen'),
(1700, '57', '57720', 'Volmunster'),
(1701, '57', '57720', 'Waldhouse'),
(1702, '57', '57720', 'Walschbronn'),
(1703, '57', '57730', 'Altviller'),
(1704, '57', '57730', 'Folschviller'),
(1705, '57', '57730', 'Lachambre'),
(1706, '57', '57730', 'Macheren'),
(1707, '57', '57730', 'Valmont'),
(1708, '57', '57740', 'Longeville-lès-Saint-Avold'),
(1709, '57', '57770', 'Moussey'),
(1710, '57', '57780', 'Rosselange'),
(1711, '57', '57790', 'Aspach'),
(1712, '57', '57790', 'Fraquelfing'),
(1713, '57', '57790', 'Hattigny'),
(1714, '57', '57790', 'Hermelange'),
(1715, '57', '57790', 'Laneuveville-lès-Lorquin'),
(1716, '57', '57790', 'Lorquin'),
(1717, '57', '57790', 'Nitting'),
(1718, '57', '57800', 'Béning-lès-Saint-Avold'),
(1719, '57', '57800', 'Betting'),
(1720, '57', '57800', 'Cocheren'),
(1721, '57', '57800', 'Freyming-Merlebach'),
(1722, '57', '57800', 'Rosbruck'),
(1723, '57', '57810', 'Avricourt'),
(1724, '57', '57810', 'Azoudange'),
(1725, '57', '57810', 'Bourdonnay'),
(1726, '57', '57810', 'Donnelay'),
(1727, '57', '57810', 'Fribourg'),
(1728, '57', '57810', 'Lagarde'),
(1729, '57', '57810', 'Languimberg'),
(1730, '57', '57810', 'Ley'),
(1731, '57', '57810', 'Maizières-lès-Vic'),
(1732, '57', '57810', 'Moncourt'),
(1733, '57', '57810', 'Ommeray'),
(1734, '57', '57810', 'Réchicourt-le-Château'),
(1735, '57', '57810', 'Rhodes'),
(1736, '57', '57815', 'Gondrexange'),
(1737, '57', '57820', 'Dannelbourg'),
(1738, '57', '57820', 'Garrebourg'),
(1739, '57', '57820', 'Henridorff'),
(1740, '57', '57820', 'Hultehouse'),
(1741, '57', '57820', 'Lutzelbourg'),
(1742, '57', '57820', 'Saint-Louis'),
(1743, '57', '57830', 'Barchain'),
(1744, '57', '57830', 'Bébing'),
(1745, '57', '57830', 'Diane-Capelle'),
(1746, '57', '57830', 'Foulcrey'),
(1747, '57', '57830', 'Héming'),
(1748, '57', '57830', 'Hertzing'),
(1749, '57', '57830', 'Ibigny'),
(1750, '57', '57830', 'Kerprich-aux-Bois'),
(1751, '57', '57830', 'Landange'),
(1752, '57', '57830', 'Neufmoulins'),
(1753, '57', '57830', 'Richeval'),
(1754, '57', '57830', 'Saint-Georges'),
(1755, '57', '57830', 'Xouaxange'),
(1756, '57', '57840', 'Ottange'),
(1757, '57', '57840', 'Rochonvillers'),
(1758, '57', '57850', 'Dabo'),
(1759, '57', '57850', 'Haselbourg'),
(1760, '57', '57855', 'Saint-Privat-la-Montagne'),
(1761, '57', '57860', 'Montois-la-Montagne'),
(1762, '57', '57860', 'Roncourt'),
(1763, '57', '57865', 'Amanvillers'),
(1764, '57', '57870', 'Harreberg'),
(1765, '57', '57870', 'Hartzviller'),
(1766, '57', '57870', 'Hommert'),
(1767, '57', '57870', 'Plaine-de-Walsch'),
(1768, '57', '57870', 'Troisfontaines'),
(1769, '57', '57870', 'Walscheid'),
(1770, '57', '57880', 'Guerting'),
(1771, '57', '57880', 'Ham-sous-Varsberg'),
(1772, '57', '57880', 'Varsberg'),
(1773, '57', '57890', 'Diesen'),
(1774, '57', '57890', 'Porcelette'),
(1775, '57', '57905', 'Sarreinsming'),
(1776, '57', '57905', 'Wittring'),
(1777, '57', '57905', 'Zetting'),
(1778, '57', '57910', 'Hambach'),
(1779, '57', '57910', 'Neufgrange'),
(1780, '57', '57915', 'Woustviller'),
(1781, '57', '57920', 'Aboncourt'),
(1782, '57', '57920', 'Buding'),
(1783, '57', '57920', 'Hombourg-Budange'),
(1784, '57', '57920', 'Kédange-sur-Canner'),
(1785, '57', '57920', 'Kemplich'),
(1786, '57', '57920', 'Klang'),
(1787, '57', '57920', 'Metzeresche'),
(1788, '57', '57920', 'Monneren'),
(1789, '57', '57920', 'Veckring'),
(1790, '57', '57925', 'Distroff'),
(1791, '57', '57930', 'Belles-Forêts'),
(1792, '57', '57930', 'Berthelming'),
(1793, '57', '57930', 'Bettborn'),
(1794, '57', '57930', 'Fénétrange'),
(1795, '57', '57930', 'Gosselming'),
(1796, '57', '57930', 'Hellering-lès-Fénétrange'),
(1797, '57', '57930', 'Mittersheim'),
(1798, '57', '57930', 'Niederstinzel'),
(1799, '57', '57930', 'Oberstinzel'),
(1800, '57', '57930', 'Postroff'),
(1801, '57', '57930', 'Romelfing'),
(1802, '57', '57930', 'Saint-Jean-de-Bassel'),
(1803, '57', '57935', 'Luttange'),
(1804, '57', '57940', 'Metzervisse'),
(1805, '57', '57940', 'Volstroff'),
(1806, '57', '57950', 'Montigny-lès-Metz'),
(1807, '57', '57960', 'Meisenthal'),
(1808, '57', '57960', 'Soucht'),
(1809, '57', '57970', 'Basse-Ham'),
(1810, '57', '57970', 'Budling'),
(1811, '57', '57970', 'Elzange'),
(1812, '57', '57970', 'Illange'),
(1813, '57', '57970', 'Inglange'),
(1814, '57', '57970', 'Kuntzig'),
(1815, '57', '57970', 'Kœnigsmacker'),
(1816, '57', '57970', 'Oudrenne'),
(1817, '57', '57970', 'Stuckange'),
(1818, '57', '57970', 'Valmestroff'),
(1819, '57', '57970', 'Yutz'),
(1820, '57', '57980', 'Diebling'),
(1821, '57', '57980', 'Metzing'),
(1822, '57', '57980', 'Tenteling'),
(1823, '57', '57990', 'Hundling'),
(1824, '57', '57990', 'Ippling'),
(1825, '57', '57990', 'Nousseviller-Saint-Nabor'),
(1826, '88', '88000', 'Chantraine'),
(1827, '88', '88000', 'Deyvillers'),
(1828, '88', '88000', 'Dignonville'),
(1829, '88', '88000', 'Dinozé'),
(1830, '88', '88000', 'Dogneville'),
(1831, '88', '88000', 'Épinal'),
(1832, '88', '88000', 'Jeuxey'),
(1833, '88', '88000', 'Longchamp'),
(1834, '88', '88000', 'Vaudéville'),
(1835, '88', '88100', 'Coinches'),
(1836, '88', '88100', 'Nayemont-les-Fosses'),
(1837, '88', '88100', 'Neuvillers-sur-Fave'),
(1838, '88', '88100', 'Pair-et-Grandrupt'),
(1839, '88', '88100', 'Remomeix'),
(1840, '88', '88100', 'Saint-Dié-des-Vosges'),
(1841, '88', '88100', 'Sainte-Marguerite'),
(1842, '88', '88100', 'Taintrux'),
(1843, '88', '88110', 'Allarmont'),
(1844, '88', '88110', 'Celles-sur-Plaine'),
(1845, '88', '88110', 'Luvigny'),
(1846, '88', '88110', 'Raon-l\'Étape'),
(1847, '88', '88110', 'Raon-sur-Plaine'),
(1848, '88', '88110', 'Vexaincourt'),
(1849, '88', '88120', 'Basse-sur-le-Rupt'),
(1850, '88', '88120', 'Cleurie'),
(1851, '88', '88120', 'Gerbamont'),
(1852, '88', '88120', 'Le Syndicat'),
(1853, '88', '88120', 'Rochesson'),
(1854, '88', '88120', 'Saint-Amé'),
(1855, '88', '88120', 'Sapois'),
(1856, '88', '88120', 'Vagney'),
(1857, '88', '88130', 'Avrainville'),
(1858, '88', '88130', 'Battexey'),
(1859, '88', '88130', 'Bouxurulles'),
(1860, '88', '88130', 'Brantigny'),
(1861, '88', '88130', 'Chamagne'),
(1862, '88', '88130', 'Charmes'),
(1863, '88', '88130', 'Essegney'),
(1864, '88', '88130', 'Florémont'),
(1865, '88', '88130', 'Hergugney'),
(1866, '88', '88130', 'Langley'),
(1867, '88', '88130', 'Marainville-sur-Madon'),
(1868, '88', '88130', 'Rapey'),
(1869, '88', '88130', 'Rugney'),
(1870, '88', '88130', 'Savigny'),
(1871, '88', '88130', 'Socourt'),
(1872, '88', '88130', 'Ubexy'),
(1873, '88', '88130', 'Xaronval'),
(1874, '88', '88140', 'Aingeville'),
(1875, '88', '88140', 'Auzainvilliers'),
(1876, '88', '88140', 'Bulgnéville'),
(1877, '88', '88140', 'Contrexéville'),
(1878, '88', '88140', 'Crainvilliers'),
(1879, '88', '88140', 'Dombrot-le-Sec'),
(1880, '88', '88140', 'Gendreville'),
(1881, '88', '88140', 'La Vacheresse-et-la-Rouillie'),
(1882, '88', '88140', 'Malaincourt'),
(1883, '88', '88140', 'Médonville'),
(1884, '88', '88140', 'Morville'),
(1885, '88', '88140', 'Saint-Ouen-lès-Parey'),
(1886, '88', '88140', 'Saulxures-lès-Bulgnéville'),
(1887, '88', '88140', 'Sauville'),
(1888, '88', '88140', 'Suriauville'),
(1889, '88', '88140', 'Urville'),
(1890, '88', '88140', 'Vaudoncourt'),
(1891, '88', '88140', 'Vrécourt'),
(1892, '88', '88150', 'Bayecourt'),
(1893, '88', '88150', 'Chavelot'),
(1894, '88', '88150', 'Girmont'),
(1895, '88', '88150', 'Igney'),
(1896, '88', '88150', 'Mazeley'),
(1897, '88', '88150', 'Oncourt'),
(1898, '88', '88150', 'Thaon-les-Vosges'),
(1899, '88', '88150', 'Villoncourt'),
(1900, '88', '88160', 'Fresse-sur-Moselle'),
(1901, '88', '88160', 'Le Ménil'),
(1902, '88', '88160', 'Le Thillot'),
(1903, '88', '88160', 'Ramonchamp'),
(1904, '88', '88170', 'Aouze'),
(1905, '88', '88170', 'Aroffe'),
(1906, '88', '88170', 'Balléville'),
(1907, '88', '88170', 'Biécourt'),
(1908, '88', '88170', 'Châtenois'),
(1909, '88', '88170', 'Courcelles-sous-Châtenois'),
(1910, '88', '88170', 'Darney-aux-Chênes'),
(1911, '88', '88170', 'Dolaincourt'),
(1912, '88', '88170', 'Dombrot-sur-Vair'),
(1913, '88', '88170', 'Dommartin-sur-Vraine'),
(1914, '88', '88170', 'Gemmelaincourt'),
(1915, '88', '88170', 'Gironcourt-sur-Vraine'),
(1916, '88', '88170', 'Houécourt'),
(1917, '88', '88170', 'La Neuveville-sous-Châtenois'),
(1918, '88', '88170', 'Longchamp-sous-Châtenois'),
(1919, '88', '88170', 'Maconcourt'),
(1920, '88', '88170', 'Morelmaison'),
(1921, '88', '88170', 'Ollainville'),
(1922, '88', '88170', 'Pleuvezain'),
(1923, '88', '88170', 'Rainville'),
(1924, '88', '88170', 'Removille'),
(1925, '88', '88170', 'Rouvres-la-Chétive'),
(1926, '88', '88170', 'Saint-Menge'),
(1927, '88', '88170', 'Saint-Paul'),
(1928, '88', '88170', 'Sandaucourt'),
(1929, '88', '88170', 'Soncourt'),
(1930, '88', '88170', 'Vicherey'),
(1931, '88', '88170', 'Viocourt'),
(1932, '88', '88170', 'Vouxey'),
(1933, '88', '88190', 'Golbey'),
(1934, '88', '88200', 'Dommartin-lès-Remiremont'),
(1935, '88', '88200', 'Remiremont'),
(1936, '88', '88200', 'Saint-Étienne-lès-Remiremont'),
(1937, '88', '88200', 'Saint-Nabord'),
(1938, '88', '88200', 'Vecoux'),
(1939, '88', '88210', 'Ban-de-Sapt'),
(1940, '88', '88210', 'Belval'),
(1941, '88', '88210', 'Châtas'),
(1942, '88', '88210', 'Denipaire'),
(1943, '88', '88210', 'Grandrupt'),
(1944, '88', '88210', 'Hurbache'),
(1945, '88', '88210', 'La Petite-Raon'),
(1946, '88', '88210', 'Le Mont'),
(1947, '88', '88210', 'Le Puid'),
(1948, '88', '88210', 'Le Saulcy'),
(1949, '88', '88210', 'Le Vermont'),
(1950, '88', '88210', 'Ménil-de-Senones'),
(1951, '88', '88210', 'Moussey'),
(1952, '88', '88210', 'Saint-Jean-d\'Ormont'),
(1953, '88', '88210', 'Saint-Stail'),
(1954, '88', '88210', 'Senones'),
(1955, '88', '88210', 'Vieux-Moulin'),
(1956, '88', '88220', 'Dounoux'),
(1957, '88', '88220', 'Hadol'),
(1958, '88', '88220', 'Raon-aux-Bois'),
(1959, '88', '88220', 'Uriménil'),
(1960, '88', '88220', 'Uzemain'),
(1961, '88', '88220', 'Xertigny'),
(1962, '88', '88230', 'Ban-sur-Meurthe-Clefcy'),
(1963, '88', '88230', 'Fraize'),
(1964, '88', '88230', 'Le Valtin'),
(1965, '88', '88230', 'Plainfaing'),
(1966, '88', '88240', 'Bains-les-Bains'),
(1967, '88', '88240', 'Fontenoy-le-Château'),
(1968, '88', '88240', 'Grandrupt-de-Bains'),
(1969, '88', '88240', 'Gruey-lès-Surance'),
(1970, '88', '88240', 'Harsault'),
(1971, '88', '88240', 'Hautmougey'),
(1972, '88', '88240', 'La Chapelle-aux-Bois'),
(1973, '88', '88240', 'La Haye'),
(1974, '88', '88240', 'Le Clerjus'),
(1975, '88', '88240', 'Le Magny'),
(1976, '88', '88240', 'Les Voivres'),
(1977, '88', '88240', 'Montmotier'),
(1978, '88', '88240', 'Trémonzey'),
(1979, '88', '88250', 'La Bresse'),
(1980, '88', '88260', 'Attigny'),
(1981, '88', '88260', 'Belmont-lès-Darney'),
(1982, '88', '88260', 'Belrupt'),
(1983, '88', '88260', 'Bonvillet'),
(1984, '88', '88260', 'Darney'),
(1985, '88', '88260', 'Dombasle-devant-Darney'),
(1986, '88', '88260', 'Dommartin-lès-Vallois'),
(1987, '88', '88260', 'Escles'),
(1988, '88', '88260', 'Esley'),
(1989, '88', '88260', 'Hennezel'),
(1990, '88', '88260', 'Jésonville'),
(1991, '88', '88260', 'Lerrain'),
(1992, '88', '88260', 'Les Vallois'),
(1993, '88', '88260', 'Nonville'),
(1994, '88', '88260', 'Pont-lès-Bonfays'),
(1995, '88', '88260', 'Provenchères-lès-Darney'),
(1996, '88', '88260', 'Relanges'),
(1997, '88', '88260', 'Saint-Baslemont'),
(1998, '88', '88260', 'Sans-Vallois'),
(1999, '88', '88260', 'Senonges'),
(2000, '88', '88260', 'Thuillières'),
(2001, '88', '88260', 'Vioménil'),
(2002, '88', '88260', 'Viviers-le-Gras'),
(2003, '88', '88270', 'Bainville-aux-Saules'),
(2004, '88', '88270', 'Bazegney'),
(2005, '88', '88270', 'Begnécourt'),
(2006, '88', '88270', 'Bocquegney'),
(2007, '88', '88270', 'Bouxières-aux-Bois'),
(2008, '88', '88270', 'Bouzemont'),
(2009, '88', '88270', 'Charmois-l\'Orgueilleux'),
(2010, '88', '88270', 'Circourt'),
(2011, '88', '88270', 'Damas-et-Bettegney'),
(2012, '88', '88270', 'Derbamont'),
(2013, '88', '88270', 'Dompaire'),
(2014, '88', '88270', 'Frénois'),
(2015, '88', '88270', 'Gelvécourt-et-Adompt'),
(2016, '88', '88270', 'Gorhey'),
(2017, '88', '88270', 'Hagécourt'),
(2018, '88', '88270', 'Harol'),
(2019, '88', '88270', 'Hennecourt'),
(2020, '88', '88270', 'Légéville-et-Bonfays'),
(2021, '88', '88270', 'Les Ableuvenettes'),
(2022, '88', '88270', 'Madecourt'),
(2023, '88', '88270', 'Madonne-et-Lamerey'),
(2024, '88', '88270', 'Maroncourt'),
(2025, '88', '88270', 'Pierrefitte'),
(2026, '88', '88270', 'Racécourt'),
(2027, '88', '88270', 'Rancourt'),
(2028, '88', '88270', 'Saint-Vallier'),
(2029, '88', '88270', 'Valfroicourt'),
(2030, '88', '88270', 'Valleroy-aux-Saules'),
(2031, '88', '88270', 'Velotte-et-Tatignécourt'),
(2032, '88', '88270', 'Ville-sur-Illon'),
(2033, '88', '88290', 'Saulxures-sur-Moselotte'),
(2034, '88', '88290', 'Thiéfosse'),
(2035, '88', '88300', 'Attignéville'),
(2036, '88', '88300', 'Aulnois'),
(2037, '88', '88300', 'Autigny-la-Tour'),
(2038, '88', '88300', 'Autreville'),
(2039, '88', '88300', 'Barville'),
(2040, '88', '88300', 'Bazoilles-sur-Meuse'),
(2041, '88', '88300', 'Beaufremont'),
(2042, '88', '88300', 'Certilleux'),
(2043, '88', '88300', 'Circourt-sur-Mouzon'),
(2044, '88', '88300', 'Hagnéville-et-Roncourt'),
(2045, '88', '88300', 'Harchéchamp'),
(2046, '88', '88300', 'Harmonville'),
(2047, '88', '88300', 'Houéville'),
(2048, '88', '88300', 'Jainvillotte'),
(2049, '88', '88300', 'Landaville'),
(2050, '88', '88300', 'Lemmecourt'),
(2051, '88', '88300', 'Martigny-les-Gerbonvaux'),
(2052, '88', '88300', 'Mont-lès-Neufchâteau'),
(2053, '88', '88300', 'Neufchâteau'),
(2054, '88', '88300', 'Pompierre'),
(2055, '88', '88300', 'Rebeuville'),
(2056, '88', '88300', 'Rollainville'),
(2057, '88', '88300', 'Sartes'),
(2058, '88', '88300', 'Tilleux'),
(2059, '88', '88300', 'Tranqueville-Graux'),
(2060, '88', '88310', 'Cornimont'),
(2061, '88', '88310', 'Ventron'),
(2062, '88', '88320', 'Ainvelle'),
(2063, '88', '88320', 'Blevaincourt'),
(2064, '88', '88320', 'Damblain'),
(2065, '88', '88320', 'Fouchécourt'),
(2066, '88', '88320', 'Frain'),
(2067, '88', '88320', 'Gignéville'),
(2068, '88', '88320', 'Isches'),
(2069, '88', '88320', 'Lamarche'),
(2070, '88', '88320', 'Marey'),
(2071, '88', '88320', 'Martigny-les-Bains'),
(2072, '88', '88320', 'Mont-lès-Lamarche'),
(2073, '88', '88320', 'Morizécourt'),
(2074, '88', '88320', 'Robécourt'),
(2075, '88', '88320', 'Rocourt'),
(2076, '88', '88320', 'Romain-aux-Bois'),
(2077, '88', '88320', 'Rozières-sur-Mouzon'),
(2078, '88', '88320', 'Senaide'),
(2079, '88', '88320', 'Serécourt'),
(2080, '88', '88320', 'Serocourt'),
(2081, '88', '88320', 'Tignécourt'),
(2082, '88', '88320', 'Tollaincourt'),
(2083, '88', '88320', 'Villotte'),
(2084, '88', '88330', 'Badménil-aux-Bois'),
(2085, '88', '88330', 'Châtel-sur-Moselle'),
(2086, '88', '88330', 'Damas-aux-Bois'),
(2087, '88', '88330', 'Domèvre-sur-Durbion'),
(2088, '88', '88330', 'Hadigny-les-Verrières'),
(2089, '88', '88330', 'Haillainville'),
(2090, '88', '88330', 'Moriville'),
(2091, '88', '88330', 'Pallegney'),
(2092, '88', '88330', 'Portieux'),
(2093, '88', '88330', 'Rehaincourt'),
(2094, '88', '88330', 'Vaxoncourt'),
(2095, '88', '88330', 'Zincourt'),
(2096, '88', '88340', 'Girmont-Val-d\'Ajol'),
(2097, '88', '88340', 'Le Val-d\'Ajol'),
(2098, '88', '88350', 'Brechainville'),
(2099, '88', '88350', 'Fréville'),
(2100, '88', '88350', 'Grand'),
(2101, '88', '88350', 'Liffol-le-Grand'),
(2102, '88', '88350', 'Pargny-sous-Mureau'),
(2103, '88', '88350', 'Trampot'),
(2104, '88', '88350', 'Villouxel'),
(2105, '88', '88360', 'Ferdrupt'),
(2106, '88', '88360', 'Rupt-sur-Moselle'),
(2107, '88', '88370', 'Bellefontaine'),
(2108, '88', '88370', 'Plombières-les-Bains'),
(2109, '88', '88380', 'Arches'),
(2110, '88', '88380', 'Archettes'),
(2111, '88', '88390', 'Chaumousey'),
(2112, '88', '88390', 'Darnieulles'),
(2113, '88', '88390', 'Domèvre-sur-Avière'),
(2114, '88', '88390', 'Dommartin-aux-Bois'),
(2115, '88', '88390', 'Fomerey'),
(2116, '88', '88390', 'Gigney'),
(2117, '88', '88390', 'Girancourt'),
(2118, '88', '88390', 'Les Forges'),
(2119, '88', '88390', 'Renauvoid'),
(2120, '88', '88390', 'Sanchey'),
(2121, '88', '88390', 'Uxegney'),
(2122, '88', '88400', 'Gérardmer'),
(2123, '88', '88400', 'Liézey'),
(2124, '88', '88400', 'Xonrupt-Longemer'),
(2125, '88', '88410', 'Ameuvelle'),
(2126, '88', '88410', 'Bleurville'),
(2127, '88', '88410', 'Châtillon-sur-Saône'),
(2128, '88', '88410', 'Claudon'),
(2129, '88', '88410', 'Fignévelle'),
(2130, '88', '88410', 'Godoncourt'),
(2131, '88', '88410', 'Grignoncourt'),
(2132, '88', '88410', 'Les Thons'),
(2133, '88', '88410', 'Lironcourt'),
(2134, '88', '88410', 'Martinvelle'),
(2135, '88', '88410', 'Monthureux-sur-Saône'),
(2136, '88', '88410', 'Regnévelle'),
(2137, '88', '88410', 'Saint-Julien'),
(2138, '88', '88420', 'Moyenmoutier'),
(2139, '88', '88430', 'Arrentès-de-Corcieux'),
(2140, '88', '88430', 'Biffontaine'),
(2141, '88', '88430', 'Corcieux'),
(2142, '88', '88430', 'Gerbépal'),
(2143, '88', '88430', 'La Houssière'),
(2144, '88', '88430', 'Vienville'),
(2145, '88', '88440', 'Frizon'),
(2146, '88', '88440', 'Nomexy'),
(2147, '88', '88450', 'Bettegney-Saint-Brice'),
(2148, '88', '88450', 'Évaux-et-Ménil'),
(2149, '88', '88450', 'Gugney-aux-Aulx'),
(2150, '88', '88450', 'Madegney'),
(2151, '88', '88450', 'Regney'),
(2152, '88', '88450', 'Varmonzey'),
(2153, '88', '88450', 'Vincey'),
(2154, '88', '88460', 'Charmois-devant-Bruyères'),
(2155, '88', '88460', 'Cheniménil'),
(2156, '88', '88460', 'Docelles'),
(2157, '88', '88460', 'Faucompierre'),
(2158, '88', '88460', 'La Baffe'),
(2159, '88', '88460', 'Le Roulier'),
(2160, '88', '88460', 'Tendon'),
(2161, '88', '88460', 'Xamontarupt'),
(2162, '88', '88470', 'La Bourgonce'),
(2163, '88', '88470', 'La Salle'),
(2164, '88', '88470', 'La Voivre'),
(2165, '88', '88470', 'Nompatelize'),
(2166, '88', '88470', 'Saint-Michel-sur-Meurthe'),
(2167, '88', '88480', 'Étival-Clairefontaine'),
(2168, '88', '88480', 'Saint-Remy'),
(2169, '88', '88490', 'Colroy-la-Grande'),
(2170, '88', '88490', 'Combrimont'),
(2171, '88', '88490', 'Frapelle'),
(2172, '88', '88490', 'La Grande-Fosse'),
(2173, '88', '88490', 'La Petite-Fosse'),
(2174, '88', '88490', 'Le Beulay'),
(2175, '88', '88490', 'Lesseux'),
(2176, '88', '88490', 'Lubine'),
(2177, '88', '88490', 'Lusse'),
(2178, '88', '88490', 'Provenchères-sur-Fave'),
(2179, '88', '88500', 'Ahéville'),
(2180, '88', '88500', 'Ambacourt'),
(2181, '88', '88500', 'Avillers'),
(2182, '88', '88500', 'Baudricourt'),
(2183, '88', '88500', 'Bazoilles-et-Ménil'),
(2184, '88', '88500', 'Bettoncourt'),
(2185, '88', '88500', 'Blémerey'),
(2186, '88', '88500', 'Boulaincourt'),
(2187, '88', '88500', 'Chauffecourt'),
(2188, '88', '88500', 'Chef-Haut'),
(2189, '88', '88500', 'Dombasle-en-Xaintois'),
(2190, '88', '88500', 'Domèvre-sous-Montfort'),
(2191, '88', '88500', 'Domvallier'),
(2192, '88', '88500', 'Estrennes'),
(2193, '88', '88500', 'Frenelle-la-Grande'),
(2194, '88', '88500', 'Frenelle-la-Petite'),
(2195, '88', '88500', 'Gircourt-lès-Viéville'),
(2196, '88', '88500', 'Hymont'),
(2197, '88', '88500', 'Jorxey'),
(2198, '88', '88500', 'Juvaincourt'),
(2199, '88', '88500', 'Mattaincourt'),
(2200, '88', '88500', 'Mazirot'),
(2201, '88', '88500', 'Ménil-en-Xaintois'),
(2202, '88', '88500', 'Mirecourt'),
(2203, '88', '88500', 'Oëlleville'),
(2204, '88', '88500', 'Offroicourt'),
(2205, '88', '88500', 'Pont-sur-Madon'),
(2206, '88', '88500', 'Poussay'),
(2207, '88', '88500', 'Puzieux'),
(2208, '88', '88500', 'Ramecourt'),
(2209, '88', '88500', 'Remicourt'),
(2210, '88', '88500', 'Repel'),
(2211, '88', '88500', 'Rouvres-en-Xaintois'),
(2212, '88', '88500', 'Rozerotte'),
(2213, '88', '88500', 'Saint-Prancher'),
(2214, '88', '88500', 'Thiraucourt'),
(2215, '88', '88500', 'Totainville'),
(2216, '88', '88500', 'Vaubexy'),
(2217, '88', '88500', 'Villers'),
(2218, '88', '88500', 'Viviers-lès-Offroicourt'),
(2219, '88', '88500', 'Vomécourt-sur-Madon'),
(2220, '88', '88500', 'Vroville'),
(2221, '88', '88510', 'Éloyes'),
(2222, '88', '88520', 'Ban-de-Laveline'),
(2223, '88', '88520', 'Bertrimoutier'),
(2224, '88', '88520', 'Gemaingoutte'),
(2225, '88', '88520', 'La Croix-aux-Mines'),
(2226, '88', '88520', 'Raves'),
(2227, '88', '88520', 'Wisembach'),
(2228, '88', '88530', 'La Forge'),
(2229, '88', '88530', 'Le Tholy'),
(2230, '88', '88540', 'Bussang'),
(2231, '88', '88550', 'Jarménil'),
(2232, '88', '88550', 'Pouxeux'),
(2233, '88', '88560', 'Saint-Maurice-sur-Moselle'),
(2234, '88', '88580', 'Saulcy-sur-Meurthe'),
(2235, '88', '88600', 'Aydoilles'),
(2236, '88', '88600', 'Beauménil'),
(2237, '88', '88600', 'Belmont-sur-Buttant'),
(2238, '88', '88600', 'Bois-de-Champ'),
(2239, '88', '88600', 'Brouvelieures'),
(2240, '88', '88600', 'Bruyères'),
(2241, '88', '88600', 'Champ-le-Duc'),
(2242, '88', '88600', 'Destord'),
(2243, '88', '88600', 'Deycimont'),
(2244, '88', '88600', 'Domfaing'),
(2245, '88', '88600', 'Dompierre'),
(2246, '88', '88600', 'Fays'),
(2247, '88', '88600', 'Fiménil'),
(2248, '88', '88600', 'Fontenay'),
(2249, '88', '88600', 'Fremifontaine'),
(2250, '88', '88600', 'Girecourt-sur-Durbion'),
(2251, '88', '88600', 'Grandvillers'),
(2252, '88', '88600', 'Gugnécourt'),
(2253, '88', '88600', 'Herpelmont'),
(2254, '88', '88600', 'La Chapelle-devant-Bruyères'),
(2255, '88', '88600', 'La Neuveville-devant-Lépanges'),
(2256, '88', '88600', 'Laval-sur-Vologne'),
(2257, '88', '88600', 'Laveline-devant-Bruyères'),
(2258, '88', '88600', 'Lépanges-sur-Vologne'),
(2259, '88', '88600', 'Les Poulières'),
(2260, '88', '88600', 'Les Rouges-Eaux'),
(2261, '88', '88600', 'Méménil'),
(2262, '88', '88600', 'Mortagne'),
(2263, '88', '88600', 'Nonzeville'),
(2264, '88', '88600', 'Pierrepont-sur-l\'Arentèle'),
(2265, '88', '88600', 'Prey'),
(2266, '88', '88600', 'Sercœur'),
(2267, '88', '88600', 'Vervezelle'),
(2268, '88', '88600', 'Viménil'),
(2269, '88', '88630', 'Avranville'),
(2270, '88', '88630', 'Chermisey'),
(2271, '88', '88630', 'Clérey-la-Côte'),
(2272, '88', '88630', 'Coussey'),
(2273, '88', '88630', 'Domrémy-la-Pucelle'),
(2274, '88', '88630', 'Frebécourt'),
(2275, '88', '88630', 'Greux'),
(2276, '88', '88630', 'Jubainville'),
(2277, '88', '88630', 'Maxey-sur-Meuse'),
(2278, '88', '88630', 'Midrevaux'),
(2279, '88', '88630', 'Moncel-sur-Vair'),
(2280, '88', '88630', 'Punerot'),
(2281, '88', '88630', 'Ruppes'),
(2282, '88', '88630', 'Seraumont'),
(2283, '88', '88630', 'Sionne'),
(2284, '88', '88630', 'Soulosse-sous-Saint-Élophe'),
(2285, '88', '88640', 'Aumontzey'),
(2286, '88', '88640', 'Barbey-Seroux'),
(2287, '88', '88640', 'Champdray'),
(2288, '88', '88640', 'Granges-sur-Vologne'),
(2289, '88', '88640', 'Jussarupt'),
(2290, '88', '88640', 'Laveline-du-Houx'),
(2291, '88', '88640', 'Rehaupal'),
(2292, '88', '88650', 'Anould'),
(2293, '88', '88650', 'Entre-deux-Eaux'),
(2294, '88', '88650', 'Mandray'),
(2295, '88', '88650', 'Saint-Léonard'),
(2296, '88', '88700', 'Anglemont'),
(2297, '88', '88700', 'Autrey'),
(2298, '88', '88700', 'Bazien'),
(2299, '88', '88700', 'Brû'),
(2300, '88', '88700', 'Bult'),
(2301, '88', '88700', 'Clézentaine'),
(2302, '88', '88700', 'Deinvillers'),
(2303, '88', '88700', 'Domptail'),
(2304, '88', '88700', 'Doncières'),
(2305, '88', '88700', 'Fauconcourt'),
(2306, '88', '88700', 'Hardancourt'),
(2307, '88', '88700', 'Housseras'),
(2308, '88', '88700', 'Jeanménil'),
(2309, '88', '88700', 'Ménarmont'),
(2310, '88', '88700', 'Ménil-sur-Belvitte'),
(2311, '88', '88700', 'Moyemont'),
(2312, '88', '88700', 'Nossoncourt'),
(2313, '88', '88700', 'Ortoncourt'),
(2314, '88', '88700', 'Padoux'),
(2315, '88', '88700', 'Rambervillers'),
(2316, '88', '88700', 'Romont'),
(2317, '88', '88700', 'Roville-aux-Chênes'),
(2318, '88', '88700', 'Saint-Benoît-la-Chipotte'),
(2319, '88', '88700', 'Saint-Genest'),
(2320, '88', '88700', 'Saint-Gorgon'),
(2321, '88', '88700', 'Saint-Maurice-sur-Mortagne'),
(2322, '88', '88700', 'Saint-Pierremont'),
(2323, '88', '88700', 'Sainte-Barbe'),
(2324, '88', '88700', 'Sainte-Hélène'),
(2325, '88', '88700', 'Vomécourt'),
(2326, '88', '88700', 'Xaffévillers'),
(2327, '88', '88800', 'Belmont-sur-Vair'),
(2328, '88', '88800', 'Domjulien'),
(2329, '88', '88800', 'Haréville'),
(2330, '88', '88800', 'La Neuveville-sous-Montfort'),
(2331, '88', '88800', 'Lignéville'),
(2332, '88', '88800', 'Mandres-sur-Vair'),
(2333, '88', '88800', 'Monthureux-le-Sec'),
(2334, '88', '88800', 'Norroy'),
(2335, '88', '88800', 'Parey-sous-Montfort'),
(2336, '88', '88800', 'Remoncourt'),
(2337, '88', '88800', 'Saint-Remimont'),
(2338, '88', '88800', 'They-sous-Montfort'),
(2339, '88', '88800', 'Valleroy-le-Sec'),
(2340, '88', '88800', 'Vittel');

-- --------------------------------------------------------

--
-- Structure de la table `contrat`
--

CREATE TABLE `contrat` (
  `IDCONTRAT` int(4) NOT NULL,
  `IDUSER` varchar(4) NOT NULL,
  `DATEDEBUT` varchar(32) DEFAULT NULL,
  `DATEFIN` varchar(32) DEFAULT NULL,
  `TYPECONTRAT` varchar(32) DEFAULT NULL,
  `NBHEURE` varchar(32) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Déchargement des données de la table `contrat`
--

INSERT INTO `contrat` (`IDCONTRAT`, `IDUSER`, `DATEDEBUT`, `DATEFIN`, `TYPECONTRAT`, `NBHEURE`) VALUES
(2, '1', '01/01/2029', '01/01/2029', 'test', '23'),
(3, '2', '01/01/2029', '01/01/2029', 'test', '12'),
(57, '5', 'a', 'a', 'a', 'a');

-- --------------------------------------------------------

--
-- Structure de la table `demander`
--

CREATE TABLE `demander` (
  `IDUSER` varchar(4) NOT NULL,
  `IDFORMAT` varchar(4) NOT NULL,
  `ETATDEMANDE` varchar(32) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `departement`
--

CREATE TABLE `departement` (
  `CODEDEPARTEMENT` varchar(4) NOT NULL,
  `NOMDEPARTEMENT` varchar(32) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `fonction`
--

CREATE TABLE `fonction` (
  `IDFONCT` varchar(4) NOT NULL,
  `LIBELLE` varchar(32) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Déchargement des données de la table `fonction`
--

INSERT INTO `fonction` (`IDFONCT`, `LIBELLE`) VALUES
('1', 'salarié/bénévole'),
('2', 'RH'),
('3', 'formation'),
('4', 'secretaire');

-- --------------------------------------------------------

--
-- Structure de la table `formation`
--

CREATE TABLE `formation` (
  `IDFORMAT` varchar(4) NOT NULL,
  `INTITULE` varchar(32) DEFAULT NULL,
  `DESCRIPTIF` varchar(32) DEFAULT NULL,
  `DUREE` varchar(32) DEFAULT NULL,
  `DATEOUVERTINSCRIPTION` varchar(32) DEFAULT NULL,
  `DATECLOTUREINSCRIPTION` varchar(32) DEFAULT NULL,
  `EFFECTIFMAX` varchar(32) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `ligue`
--

CREATE TABLE `ligue` (
  `IDLIGUE` int(11) NOT NULL,
  `NOM` varchar(32) DEFAULT NULL,
  `SITE` varchar(32) DEFAULT NULL,
  `DESCRIPTIF` varchar(500) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Déchargement des données de la table `ligue`
--

INSERT INTO `ligue` (`IDLIGUE`, `NOM`, `SITE`, `DESCRIPTIF`) VALUES
(1, 'Football', 'https://www.sam-football.fr/', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.'),
(2, 'Rugby', 'https://www.stadetoulousain.fr/', 'Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi temp'),
(3, 'Basketball', 'https://www.sport-athletique-mer', 'At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assu');

-- --------------------------------------------------------

--
-- Structure de la table `utilisateur`
--

CREATE TABLE `utilisateur` (
  `IDUSER` varchar(4) NOT NULL,
  `IDLIGUE` varchar(4) DEFAULT NULL,
  `IDFONCT` varchar(32) NOT NULL,
  `IDCLUB` varchar(32) DEFAULT NULL,
  `NOM` varchar(32) DEFAULT NULL,
  `PRENOM` varchar(32) DEFAULT NULL,
  `LOGIN` varchar(32) DEFAULT NULL,
  `MDP` varchar(32) DEFAULT NULL,
  `STATUT` varchar(32) DEFAULT NULL,
  `TYPEUSER` varchar(32) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Déchargement des données de la table `utilisateur`
--

INSERT INTO `utilisateur` (`IDUSER`, `IDLIGUE`, `IDFONCT`, `IDCLUB`, `NOM`, `PRENOM`, `LOGIN`, `MDP`, `STATUT`, `TYPEUSER`) VALUES
('1', '1', '1', '1', 'Timothée ', 'Saligny ', 'salarié', '1ef8ef77c11d8d032d251b2562441278', 'salarié', NULL),
('2', '1', '1', '1', 'Jules ', 'Leroux ', 'bénévole', '9724a4bba46ce688f377b3bc5a9f6ada', 'bénévole', NULL),
('3', '1', '2', '1', 'Alice ', 'Michel ', 'RH', '9508a19d7801e07ee7b7628c31bfdd47', 'RH', NULL),
('4', '1', '3', '1', 'Clément ', 'Mercier', 'formation', 'f1a41f239896dc63a6eaeba863f0e7ce', 'formation', NULL),
('5', '1', '4', '1', 'Margot ', 'Malétras ', 'secretaire', 'be5f28a5f7f765371423d514f06147b2', 'secretaire', NULL);

--
-- Index pour les tables déchargées
--

--
-- Index pour la table `bulletin`
--
ALTER TABLE `bulletin`
  ADD PRIMARY KEY (`IDBULLETIN`),
  ADD KEY `IDCONTRAT` (`IDCONTRAT`);

--
-- Index pour la table `club`
--
ALTER TABLE `club`
  ADD KEY `I_FK_CLUB_LIGUE` (`IDLIGUE`),
  ADD KEY `I_FK_CLUB_COMMUNE` (`IDCOMMUNE`);

--
-- Index pour la table `commune`
--
ALTER TABLE `commune`
  ADD KEY `I_FK_COMMUNE_DEPARTEMENT` (`CODEDEPARTEMENT`);

--
-- Index pour la table `contrat`
--
ALTER TABLE `contrat`
  ADD PRIMARY KEY (`IDCONTRAT`),
  ADD KEY `IDUSER` (`IDUSER`);

--
-- Index pour la table `demander`
--
ALTER TABLE `demander`
  ADD PRIMARY KEY (`IDUSER`,`IDFORMAT`),
  ADD KEY `IDFORMAT` (`IDFORMAT`);

--
-- Index pour la table `departement`
--
ALTER TABLE `departement`
  ADD PRIMARY KEY (`CODEDEPARTEMENT`);

--
-- Index pour la table `fonction`
--
ALTER TABLE `fonction`
  ADD PRIMARY KEY (`IDFONCT`);

--
-- Index pour la table `formation`
--
ALTER TABLE `formation`
  ADD PRIMARY KEY (`IDFORMAT`);

--
-- Index pour la table `ligue`
--
ALTER TABLE `ligue`
  ADD PRIMARY KEY (`IDLIGUE`);

--
-- Index pour la table `utilisateur`
--
ALTER TABLE `utilisateur`
  ADD PRIMARY KEY (`IDUSER`),
  ADD KEY `I_FK_UTILISATEUR_LIGUE` (`IDLIGUE`),
  ADD KEY `I_FK_UTILISATEUR_FONCTION` (`IDFONCT`),
  ADD KEY `I_FK_UTILISATEUR_CLUB` (`IDCLUB`);

--
-- AUTO_INCREMENT pour les tables déchargées
--

--
-- AUTO_INCREMENT pour la table `bulletin`
--
ALTER TABLE `bulletin`
  MODIFY `IDBULLETIN` int(4) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=35;

--
-- AUTO_INCREMENT pour la table `contrat`
--
ALTER TABLE `contrat`
  MODIFY `IDCONTRAT` int(4) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=58;

--
-- AUTO_INCREMENT pour la table `ligue`
--
ALTER TABLE `ligue`
  MODIFY `IDLIGUE` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- Contraintes pour les tables déchargées
--

--
-- Contraintes pour la table `bulletin`
--
ALTER TABLE `bulletin`
  ADD CONSTRAINT `bulletin_ibfk_1` FOREIGN KEY (`IDCONTRAT`) REFERENCES `contrat` (`IDCONTRAT`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Contraintes pour la table `contrat`
--
ALTER TABLE `contrat`
  ADD CONSTRAINT `contrat_ibfk_1` FOREIGN KEY (`IDUSER`) REFERENCES `utilisateur` (`IDUSER`);

--
-- Contraintes pour la table `demander`
--
ALTER TABLE `demander`
  ADD CONSTRAINT `demander_ibfk_1` FOREIGN KEY (`IDUSER`) REFERENCES `utilisateur` (`IDUSER`),
  ADD CONSTRAINT `demander_ibfk_2` FOREIGN KEY (`IDFORMAT`) REFERENCES `formation` (`IDFORMAT`);

--
-- Contraintes pour la table `utilisateur`
--
ALTER TABLE `utilisateur`
  ADD CONSTRAINT `utilisateur_ibfk_1` FOREIGN KEY (`IDFONCT`) REFERENCES `fonction` (`IDFONCT`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
